package com.supermap.realestate.right.sto.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.supermap.realestate.archive.common.LogTools;
import com.supermap.realestate.presale.sto.model.House_ApprovePrice;
import com.supermap.realestate.registration.util.ConfigHelper;
import com.supermap.realestate.registration.util.ConstHelper;
import com.supermap.realestate.registration.util.ConstValue;
import com.supermap.realestate.registration.util.DateUtil;
import com.supermap.realestate.registration.util.FieldEnumHelper;
import com.supermap.realestate.registration.util.GetProperties;
import com.supermap.realestate.registration.util.StringHelper;
import com.supermap.realestate.registration.util.YwLogUtil;
import com.supermap.realestate.right.his.model.CFQLHis;
import com.supermap.realestate.right.his.model.DJDYHis;
import com.supermap.realestate.right.his.model.DYQLHis;
import com.supermap.realestate.right.his.model.HouseHis;
import com.supermap.realestate.right.his.model.House_SC;
import com.supermap.realestate.right.his.model.YYQLHis;
import com.supermap.realestate.right.sto.dao.HouseDao;
import com.supermap.realestate.right.sto.model.Building;
import com.supermap.realestate.right.sto.model.CFQLSto;
import com.supermap.realestate.right.sto.model.DJDYSto;
import com.supermap.realestate.right.sto.model.House;
import com.supermap.realestate.right.sto.model.HouseSignLimit;
import com.supermap.realestate.right.sto.model.QLGXSto;
import com.supermap.realestate.right.sto.model.QLLYSto;
import com.supermap.realestate.right.sto.model.XMXXSto;
import com.supermap.realestate.right.sto.model.YYQLSto;
import com.supermap.realestate.right.sto.service.BuildingService;
import com.supermap.realestate.right.sto.service.HouseService;
import com.supermap.realestate.right.sto.service.HouseSignLimitService;
import com.supermap.realestate.right.sto.service.House_SignLimitRLService;
import com.supermap.wisdombusiness.core.SuperHelper;
import com.supermap.wisdombusiness.framework.dao.impl.CommonDao;
import com.supermap.wisdombusiness.framework.model.User;
import com.supermap.wisdombusiness.web.Message;
import com.supermap.wisdombusiness.web.ResultMessage;
import com.supermap.wisdombusiness.web.ui.Page;
import com.supermap.wisdombusiness.workflow.service.common.SmObjInfo;
import com.supermap.wisdombusiness.workflow.service.wfi.SmProInst;
import java.sql.Clob;
import java.sql.SQLException;
import java.text.MessageFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import parsii.eval.Expression;
import parsii.eval.Parser;
import parsii.eval.Scope;
import parsii.eval.Variable;
import parsii.tokenizer.ParseException;

@Service("stoHouseService")
/* loaded from: HouseServiceImpl.class */
public class HouseServiceImpl implements HouseService {

    @Autowired
    private CommonDao baseCommonDao;

    @Autowired
    private com.supermap.wisdombusiness.workflow.dao.CommonDao basecommonDao2;

    @Autowired
    private HouseDao houseDao;

    @Autowired
    private SmProInst smProInst;

    @Autowired
    private BuildingService buildingService;

    @Autowired
    private HouseSignLimitService houseSignLimitService;

    @Autowired
    private House_SignLimitRLService house_SignLimitRLService;

    @Autowired
    private com.supermap.wisdombusiness.workflow.dao.CommonDao commonDao;

    public House getHouseById(String id) {
        return (House) this.baseCommonDao.getCurrentSession().get(House.class, id);
    }

    public List<House> findAll() {
        return this.baseCommonDao.getDataList(House.class, " 1=1 ", (Map) null);
    }

    public void saveHouse(House house) {
        this.baseCommonDao.save(house);
        this.baseCommonDao.flush();
    }

    public Page getPagedHouse(int pageIndex, int pageSize, Map<String, Object> mapCondition) {
        this.baseCommonDao.getPageDataByHql(House.class, "", pageIndex, pageSize);
        return null;
    }

    public Page findByBuilding(String building_ID, int pageIndex, int pageSize) {
        String str = "building_ID = " + building_ID;
        Page page = this.houseDao.getPageDataBySql(building_ID, Integer.valueOf(pageIndex), Integer.valueOf(pageSize));
        return page;
    }

    public Page findByBuildingYSZ(String building_ID, int pageIndex, int pageSize, String xmbh) {
        String str = "building_ID = " + building_ID;
        Page page = this.houseDao.getPageDataBySqlYSZ(building_ID, Integer.valueOf(pageIndex), Integer.valueOf(pageSize), xmbh);
        return page;
    }

    public Page findByBuildingYSZYYS(String building_ID, int pageIndex, int pageSize, String xmbh) {
        Page page = this.houseDao.getPageDataBySqlYSZYYS(building_ID, Integer.valueOf(pageIndex), Integer.valueOf(pageSize), xmbh);
        return page;
    }

    public Page findByBuildingCHY(String building_ID, int pageIndex, int pageSize) {
        Page page = this.houseDao.getPageDataBySqlCH(building_ID, Integer.valueOf(pageIndex), Integer.valueOf(pageSize));
        return page;
    }

    public Page findByBuildingCHX(String building_ID, int pageIndex, int pageSize) {
        Page page = this.houseDao.getPageDataBySqlCH(building_ID, Integer.valueOf(pageIndex), Integer.valueOf(pageSize));
        return page;
    }

    public Page findByBuildingCQY(String building_ID, int pageIndex, int pageSize) {
        Page page = this.houseDao.getPageDataBySql(building_ID, Integer.valueOf(pageIndex), Integer.valueOf(pageSize));
        return page;
    }

    public Page findByBuildingCQX(String building_ID, int pageIndex, int pageSize) {
        Page page = this.houseDao.getPageDataBySql(building_ID, Integer.valueOf(pageIndex), Integer.valueOf(pageSize));
        return page;
    }

    public Page findByBuildingID(String building_ID, int pageIndex, int pageSize) {
        Page page = this.houseDao.getPageDataBySql(building_ID, Integer.valueOf(pageIndex), Integer.valueOf(pageSize));
        return page;
    }

    public List<House> findByBuildingWithList(String building_ID) {
        String hql = "building_ID = " + building_ID;
        List<House> list = this.baseCommonDao.getDataList(House.class, hql);
        return list;
    }

    public void updateHouse(House house) {
        this.baseCommonDao.update(house);
        this.baseCommonDao.flush();
    }

    public void deleteHouse(String id) {
        House house = getHouseById(id);
        this.baseCommonDao.deleteEntity(house);
        this.baseCommonDao.flush();
    }

    public String getLimitMMsg(String id) {
        return this.houseDao.getLimitMMsg(id);
    }

    public String getLimitMsg(String id) {
        return this.houseDao.getLimitMsg(id);
    }

    public String getLimitTMsg(String id) {
        return this.houseDao.getLimitTMsg(id);
    }

    public Page findByBuilding2(String building_ID, int pageIndex, int pageSize) {
        return this.houseDao.findByBuilding(building_ID, pageIndex, pageSize);
    }

    public Page findByBuilding3(String presell_ID, int pageIndex, int pageSize) {
        return this.houseDao.findByPresell(presell_ID, pageIndex, pageSize);
    }

    public Page findByBuilding4(String presell_ID, int pageIndex, int pageSize, String house_ListPrice_Status) {
        return this.houseDao.findByPresell2(presell_ID, pageIndex, pageSize, house_ListPrice_Status);
    }

    public Page findByBuilding5(String presell_ID, int pageIndex, int pageSize, String house_ListPrice_Status) {
        return this.houseDao.findByPresell3(presell_ID, pageIndex, pageSize, house_ListPrice_Status);
    }

    public Page findByProjectID(String project_ID, int pageIndex, int pageSize) {
        return this.houseDao.findByProjectID(project_ID, pageIndex, pageSize);
    }

    public void modify(String id, String name, String value) {
        this.houseDao.modify(id, name, value);
    }

    public Page findByBuilding2BySearch(String building_ID, int pageIndex, int pageSize, Map<String, Object> mapCondition) {
        Map<String, Object> map = new HashMap<>();
        for (String key : mapCondition.keySet()) {
            Object value = mapCondition.get(key);
            if (StringUtils.hasLength(value.toString())) {
                map.put(key, value);
            }
        }
        return this.houseDao.findByBuildingBySearch(building_ID, pageIndex, pageSize, mapCondition);
    }

    public Map getSignLimit(String id) {
        String resultMsg = "";
        Boolean resultFlag = true;
        Map map = new HashMap();
        if (StringUtils.hasLength(id)) {
            House _house = (House) this.houseDao.get(id);
            if (_house != null) {
                List<Integer> houseLimitList = this.house_SignLimitRLService.findByHouseID(_house.getId());
                if (houseLimitList.size() > 0) {
                    for (Integer _houseID : houseLimitList) {
                        HouseSignLimit houseSignLimit = this.houseSignLimitService.findById(_houseID);
                        if (houseSignLimit != null && houseSignLimit.getLimitState().intValue() == 1) {
                            Integer resultInt = this.houseDao.excuteLimitSql(houseSignLimit.getLimit_Sql(), id);
                            try {
                                if (!calculateExpr(resultInt.intValue(), houseSignLimit.getLimitResult_Expr())) {
                                    if (houseSignLimit.getCheckLevel().intValue() == 1) {
                                        resultMsg = String.valueOf(resultMsg) + houseSignLimit.getErrorInfo() + " ; ";
                                        resultFlag = false;
                                    } else if (houseSignLimit.getCheckLevel().intValue() == 2) {
                                        resultMsg = String.valueOf(resultMsg) + houseSignLimit.getQuestionInfo() + " ; ";
                                    }
                                }
                            } catch (Exception e) {
                                resultMsg = String.valueOf(resultMsg) + "获取" + houseSignLimit.getLimit_Name() + "出错!";
                                resultFlag = false;
                            }
                        }
                    }
                } else {
                    List<Integer> buildLimitList = this.house_SignLimitRLService.findByBuildID(_house.getBuilding_ID());
                    if (buildLimitList.size() > 0) {
                        for (Integer _buildID : buildLimitList) {
                            HouseSignLimit houseSignLimit2 = this.houseSignLimitService.findById(_buildID);
                            if (houseSignLimit2 != null && houseSignLimit2.getLimitState().intValue() == 1) {
                                Integer resultInt2 = this.houseDao.excuteLimitSql(houseSignLimit2.getLimit_Sql(), id);
                                try {
                                    if (!calculateExpr(resultInt2.intValue(), houseSignLimit2.getLimitResult_Expr())) {
                                        if (houseSignLimit2.getCheckLevel().intValue() == 1) {
                                            resultMsg = String.valueOf(resultMsg) + houseSignLimit2.getErrorInfo() + " ; ";
                                            resultFlag = false;
                                        } else if (houseSignLimit2.getCheckLevel().intValue() == 2) {
                                            resultMsg = String.valueOf(resultMsg) + houseSignLimit2.getQuestionInfo() + " ; ";
                                        }
                                    }
                                } catch (Exception e2) {
                                    resultMsg = String.valueOf(resultMsg) + "获取" + houseSignLimit2.getLimit_Name() + "出错!";
                                    resultFlag = false;
                                }
                            }
                        }
                    } else {
                        Building _building = this.buildingService.findById(_house.getBuilding_ID());
                        if (_building != null) {
                            List<Integer> projectLimitList = this.house_SignLimitRLService.findByprojectID(_building.getProject_ID());
                            if (projectLimitList.size() > 0) {
                                for (Integer _projectID : projectLimitList) {
                                    HouseSignLimit houseSignLimit3 = this.houseSignLimitService.findById(_projectID);
                                    if (houseSignLimit3 != null && houseSignLimit3.getLimitState().intValue() == 1) {
                                        Integer resultInt3 = this.houseDao.excuteLimitSql(houseSignLimit3.getLimit_Sql(), id);
                                        try {
                                            if (!calculateExpr(resultInt3.intValue(), houseSignLimit3.getLimitResult_Expr())) {
                                                if (houseSignLimit3.getCheckLevel().intValue() == 1) {
                                                    resultMsg = String.valueOf(resultMsg) + houseSignLimit3.getErrorInfo() + " ; ";
                                                    resultFlag = false;
                                                } else if (houseSignLimit3.getCheckLevel().intValue() == 2) {
                                                    resultMsg = String.valueOf(resultMsg) + houseSignLimit3.getQuestionInfo() + " ; ";
                                                }
                                            }
                                        } catch (Exception e3) {
                                            resultMsg = String.valueOf(resultMsg) + "获取" + houseSignLimit3.getLimit_Name() + "出错!";
                                            resultFlag = false;
                                        }
                                    }
                                }
                            } else {
                                List<Integer> projectAllLimitList = this.house_SignLimitRLService.findByprojectAllID(_building.getProjectAll_ID());
                                if (projectAllLimitList.size() > 0) {
                                    for (Integer _projectAllID : projectAllLimitList) {
                                        HouseSignLimit houseSignLimit4 = this.houseSignLimitService.findById(_projectAllID);
                                        if (houseSignLimit4 != null && houseSignLimit4.getLimitState().intValue() == 1) {
                                            Integer resultInt4 = this.houseDao.excuteLimitSql(houseSignLimit4.getLimit_Sql(), id);
                                            try {
                                                if (!calculateExpr(resultInt4.intValue(), houseSignLimit4.getLimitResult_Expr())) {
                                                    if (houseSignLimit4.getCheckLevel().intValue() == 1) {
                                                        resultMsg = String.valueOf(resultMsg) + houseSignLimit4.getErrorInfo() + " ; ";
                                                        resultFlag = false;
                                                    } else if (houseSignLimit4.getCheckLevel().intValue() == 2) {
                                                        resultMsg = String.valueOf(resultMsg) + houseSignLimit4.getQuestionInfo() + " ; ";
                                                    }
                                                }
                                            } catch (Exception e4) {
                                                resultMsg = String.valueOf(resultMsg) + "获取" + houseSignLimit4.getLimit_Name() + "出错!";
                                                resultFlag = false;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            } else {
                List<Integer> houseLimitList2 = this.house_SignLimitRLService.findByHouseID(id);
                if (houseLimitList2.size() > 0) {
                    for (Integer _houseID2 : houseLimitList2) {
                        HouseSignLimit houseSignLimit5 = this.houseSignLimitService.findById(_houseID2);
                        if (houseSignLimit5 != null && houseSignLimit5.getLimitState().intValue() == 1) {
                            Integer resultInt5 = this.houseDao.excuteLimitSql(houseSignLimit5.getLimit_Sql(), id);
                            try {
                                if (!calculateExpr(resultInt5.intValue(), houseSignLimit5.getLimitResult_Expr())) {
                                    if (houseSignLimit5.getCheckLevel().intValue() == 1) {
                                        resultMsg = String.valueOf(resultMsg) + houseSignLimit5.getErrorInfo() + " ; ";
                                        resultFlag = false;
                                    } else if (houseSignLimit5.getCheckLevel().intValue() == 2) {
                                        resultMsg = String.valueOf(resultMsg) + houseSignLimit5.getQuestionInfo() + " ; ";
                                    }
                                }
                            } catch (Exception e5) {
                                resultMsg = String.valueOf(resultMsg) + "获取" + houseSignLimit5.getLimit_Name() + "出错!";
                                resultFlag = false;
                            }
                        }
                    }
                }
            }
        }
        map.put("resultMsg", resultMsg);
        map.put("resultFlag", resultFlag);
        return map;
    }

    private static boolean calculateExpr(long result, String strexpr) throws ParseException {
        boolean b;
        Scope scope = Scope.create();
        Expression expr = Parser.parse("RESULT" + strexpr, scope);
        Variable SFJS = scope.getVariable("RESULT");
        SFJS.setValue(result);
        double dresult = expr.evaluate();
        if (dresult > 0.0d) {
            b = true;
        } else {
            b = false;
        }
        return b;
    }

    public Page findByFileNum(int pageIndex, int pageSize, String xmbh) {
        return this.houseDao.findByFileNum(pageIndex, pageSize, xmbh);
    }

    public Page findByFileNumAll(int pageIndex, int pageSize, String xmbh) {
        return this.houseDao.findByFileNumAll(pageIndex, pageSize, xmbh);
    }

    public Page findByFileNumCQ(int pageIndex, int pageSize, String xmbh) {
        return this.houseDao.findByFileNumCQ(pageIndex, pageSize, xmbh);
    }

    public Page findByFileNumUnCom(int pageIndex, int pageSize, String xmbh) {
        return this.houseDao.findByFileNumUnCom(pageIndex, pageSize, xmbh);
    }

    public Page findByFileNumCQ(String buildID, int pageIndex, int pageSize, String xmbh) {
        return this.houseDao.findByFileNumCQ(buildID, pageIndex, pageSize, xmbh);
    }

    public String getBLZT(String id) {
        return this.houseDao.getBLZT(id);
    }

    public String getDYZT(String id) {
        return this.houseDao.getDYZT(id);
    }

    public String getCFZT(String id) {
        return this.houseDao.getCFZT(id);
    }

    public String getDYYG(String id) {
        return this.houseDao.getDYYG(id);
    }

    public String getCQYG(String id) {
        return this.houseDao.getCQYG(id);
    }

    public String getYYZT(String id) {
        return this.houseDao.getYYZT(id);
    }

    public String getZXZT(String id) {
        return this.houseDao.getZXZT(id);
    }

    public String getGSZT(String id) {
        return this.houseDao.getGSZT(id);
    }

    public String getZLZT(String id) {
        return this.houseDao.getZLZT(id);
    }

    public String getXSZT(String id) {
        return this.houseDao.getXSZT(id);
    }

    public String getCHAIQZT(String id) {
        return this.houseDao.getCHAIQZT(id);
    }

    public String getKFJ(String id) {
        return this.houseDao.getKFJ(id);
    }

    public List<List<Map>> GetDYDJList_XZ(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where (ISVALID!=0 or ISVALID is null) and HOUSE_ID='" + bdcdyid + "' and QLLX in(21,22,82) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select PROJECT_ID,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("PROJECT_ID"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                map.put("CANCLED", "false");
                map.put("QLLX", "DYQ");
                map.put("AJH", "---" + ajh);
                map.put("DJZT", "YGD");
                map.put("XMBH", xmbh);
                map.put("QLLX", "DYQ");
                map.put("DBSJ", dbsj);
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    List<QLGXSto> qlgx = this.baseCommonDao.getDataList(QLGXSto.class, "QLID='" + qlid + "' and QLLX in ('21','22')");
                    if (qlgx.size() > 0) {
                        map.put("DJZT", "YZX");
                    }
                    if (listMap.get(iql).get("ISVALID") != null && listMap.get(iql).get("ISVALID").toString().equals("0")) {
                        map.put("DJZT", "YZX");
                    }
                    if (listMap.get(iql).get("ISVALID") != null && listMap.get(iql).get("ISVALID").toString().equals("2")) {
                        map.put("DJZT", "USH");
                    }
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetDYDJList_XZ_BL(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where HOUSE_ID='" + bdcdyid + "' and QLLX in(21,22,82) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select PROJECT_ID,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("PROJECT_ID"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                map.put("CANCLED", "false");
                map.put("QLLX", "DYQ");
                map.put("AJH", "---" + ajh);
                map.put("DJZT", "YGD");
                map.put("XMBH", xmbh);
                map.put("QLLX", "DYQ");
                map.put("DBSJ", dbsj);
                map.put("ISVALID", StringHelper.formatObject(listMap.get(iql).get("ISVALID")));
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                String isvalid = "";
                if (listMap.get(iql).get("ISVALID") != null) {
                    isvalid = listMap.get(iql).get("ISVALID").toString();
                }
                if (isvalid.equals("0")) {
                    map.put("DJZT", "YZX");
                }
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetSYQList_XZ(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID,ISHISTORYAPPEND from SMRIGHT_HIS.T_DJDY where (ISVALID!=2 or ISVALID is null) and HOUSE_ID='" + bdcdyid + "' and QLLX in (10,81) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select PROJECT_ID,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("PROJECT_ID"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                map.put("CANCLED", "false");
                map.put("AJH", "---" + ajh);
                map.put("QLLX", "SYQ");
                map.put("XMBH", xmbh);
                map.put("DBSJ", dbsj);
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                String isvalid = "";
                if (listMap.get(iql).get("ISVALID") != null) {
                    isvalid = listMap.get(iql).get("ISVALID").toString();
                }
                if (isvalid.equals("0")) {
                    map.put("DJZT", "YZX");
                }
                if (listMap.get(iql).get("ISHISTORYAPPEND") != null && listMap.get(iql).get("ISHISTORYAPPEND").toString().equals("1")) {
                    map.put("ISHISTORYAPPEND", "1");
                    map.put("DJZT", "YZX");
                } else {
                    map.put("ISHISTORYAPPEND", "0");
                }
                if (isvalid.equals("2")) {
                    map.put("DJZT", "USH");
                }
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetSYQList_XZ_BL(String bdcdyid) {
        String isvalid;
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID,ISHISTORYAPPEND from SMRIGHT_HIS.T_DJDY where HOUSE_ID='" + bdcdyid + "' and QLLX in (10,81) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select PROJECT_ID,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("PROJECT_ID"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                map.put("CANCLED", "false");
                map.put("AJH", "---" + ajh);
                map.put("QLLX", "SYQ");
                map.put("XMBH", xmbh);
                map.put("DBSJ", dbsj);
                map.put("ISVALID", StringHelper.formatObject(listMap.get(iql).get("ISVALID")));
                if (listMap.get(iql).get("ISVALID") != null && (isvalid = listMap.get(iql).get("ISVALID").toString()) != null && isvalid.equals("0")) {
                    map.put("DJZT", "YZX");
                }
                if (listMap.get(iql).get("ISHISTORYAPPEND") != null && listMap.get(iql).get("ISHISTORYAPPEND").toString().equals("1")) {
                    map.put("ISHISTORYAPPEND", "1");
                    map.put("DJZT", "YZX");
                } else {
                    map.put("ISHISTORYAPPEND", "0");
                }
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetYGQList_XZ(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where (ISVALID!=2 or ISVALID is null) and HOUSE_ID='" + bdcdyid + "' and QLLX in(31,32,33,34) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select PROJECT_ID,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("PROJECT_ID"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("CANCLED", "false");
                map.put("AJH", "---" + ajh);
                map.put("QLLX", "YGQ");
                map.put("XMBH", xmbh);
                map.put("DBSJ", dbsj);
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                String isvalid = listMap.get(iql).get("ISVALID").toString();
                if (isvalid.equals("0")) {
                    map.put("DJZT", "YZX");
                }
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetCFDJList_XZ(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where (ISVALID!=2 or ISVALID is null) and HOUSE_ID='" + bdcdyid + "' and QLLX in(40,84) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select PROJECT_ID,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("PROJECT_ID"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                map.put("CANCLED", "false");
                map.put("AJH", "---" + ajh);
                map.put("QLLX", "CFDJ");
                map.put("XMBH", xmbh);
                map.put("DBSJ", dbsj);
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                String isvalid = "";
                if (listMap.get(iql).get("ISVALID") != null) {
                    isvalid = listMap.get(iql).get("ISVALID").toString();
                }
                if (isvalid.equals("0")) {
                    map.put("DJZT", "YZX");
                }
                if (isvalid.equals("2")) {
                    map.put("DJZT", "USH");
                }
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetCFDJList_XZ_BL(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where HOUSE_ID='" + bdcdyid + "' and QLLX in(40,84) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select YWLSH,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("YWLSH"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("CANCLED", "false");
                map.put("QLLX", "CFDJ");
                map.put("AJH", "---" + ajh);
                map.put("DJZT", "YGD");
                map.put("XMBH", xmbh);
                map.put("QLLX", "CFDJ");
                map.put("DBSJ", dbsj);
                map.put("ISVALID", StringHelper.formatObject(listMap.get(iql).get("ISVALID")));
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                String isvalid = listMap.get(iql).get("ISVALID").toString();
                if (isvalid.equals("0")) {
                    map.put("DJZT", "YZX");
                }
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetYYDJList_XZ(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where (ISVALID!=2 or ISVALID is null) and HOUSE_ID='" + bdcdyid + "' and QLLX in(50,85) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select PROJECT_ID,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("PROJECT_ID"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                map.put("CANCLED", "false");
                map.put("AJH", "---" + ajh);
                map.put("QLLX", "YYDJ");
                map.put("XMBH", xmbh);
                map.put("DBSJ", dbsj);
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                String isvalid = "";
                if (listMap.get(iql).get("ISVALID") != null) {
                    isvalid = listMap.get(iql).get("ISVALID").toString();
                }
                if (isvalid.equals("0")) {
                    map.put("DJZT", "YZX");
                }
                if (isvalid.equals("2")) {
                    map.put("DJZT", "USH");
                }
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetYYDJList_XZ_BL(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,QLLX,DJDYID,XMBH,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where HOUSE_ID='" + bdcdyid + "' and QLLX in(50) order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh = "";
                String ajh = "";
                String ywmc = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select YWLSH,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    ywh = StringHelper.formatObject(_ywhList.get(0).get("YWLSH"));
                    ajh = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                    ywmc = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                }
                String xmbh = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                map.put("CANCLED", "false");
                map.put("QLLX", "YYDJ");
                map.put("AJH", "---" + ajh);
                map.put("DJZT", "YGD");
                map.put("XMBH", xmbh);
                map.put("QLLX", "YYDJ");
                map.put("DBSJ", dbsj);
                map.put("ISVALID", StringHelper.formatObject(listMap.get(iql).get("ISVALID")));
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map.put("qllx", qllxHis);
                String isvalid = listMap.get(iql).get("ISVALID").toString();
                if (isvalid.equals("0")) {
                    map.put("DJZT", "YZX");
                }
                if (qllxHis.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                } else {
                    map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                }
                qllist.add(map);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetQLListAll(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> beingList = this.baseCommonDao.getDataListByFullSql("select djdy.DJLX,djdy.QLID,djdy.DJDYID,djdy.XMBH,djdy.QLLX,djdy.DBSJ,xmxx.YWLSH,xmxx.AJH,xmxx.YWMC from SMRIGHT_RUN.T_DJDY djdy,SMRIGHT_STO.T_XMXX xmxx where djdy.XMBH = xmxx.XMBH and xmxx.SFDB!='1' and djdy.HOUSE_ID='" + bdcdyid + "' order by case when djdy.DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else djdy.dbsj end desc ");
        if (beingList.size() > 0) {
            for (Map being : beingList) {
                String djlx = StringHelper.formatObject(being.get("DJLX"));
                String qlid = StringHelper.formatObject(being.get("QLID"));
                String xmbh = StringHelper.formatObject(being.get("XMBH"));
                String ywh = StringHelper.formatObject(being.get("YWLSH"));
                String ywmc = StringHelper.formatObject(being.get("YWMC"));
                String ajh = StringHelper.formatObject(being.get("AJH"));
                String qllx = StringHelper.formatObject(being.get("QLLX"));
                String dbsj = StringHelper.FormatYmdhmsByDate(being.get("DBSJ"));
                Map<String, String> map = new HashMap<>();
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                map.put("AJH", "---" + ajh);
                map.put("XMBH", xmbh);
                map.put("CANCLED", "false");
                map.put("SOURCE", "run");
                map.put("qllx", qllx);
                map.put("DBSJ", dbsj);
                if (qllx.equals("10")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "SYQ");
                } else if (qllx.equals("21") || qllx.equals("22")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "DYQ");
                } else if (qllx.equals("31") || qllx.equals("32") || qllx.equals("33") || qllx.equals("34")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "YGQ");
                } else if (qllx.equals("40")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "CFDJ");
                } else if (qllx.equals("50")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "YYDJ");
                } else if (qllx.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                    if (qllx.endsWith("1")) {
                        map.put("QLLX", "SYQ");
                    } else if (qllx.endsWith("2")) {
                        map.put("QLLX", "DYQ");
                    } else if (qllx.endsWith("3")) {
                        map.put("QLLX", "YGQ");
                    } else if (qllx.endsWith("4")) {
                        map.put("QLLX", "CFDJ");
                    } else if (qllx.endsWith("5")) {
                        map.put("QLLX", "YYDJ");
                    }
                }
                qllist.add(map);
            }
        }
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,DJDYID,XMBH,QLLX,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where (ISVALID!=2 or ISVALID is null) and HOUSE_ID='" + bdcdyid + "' order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc  ");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid2 = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx2 = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh2 = "";
                String ajh2 = "";
                String ywmc2 = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select YWLSH,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    if (_ywhList.size() > 0) {
                        ywh2 = StringHelper.formatObject(_ywhList.get(0).get("YWLSH"));
                        ajh2 = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                        ywmc2 = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                    }
                }
                String xmbh2 = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj2 = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                Map<String, String> map2 = new HashMap<>();
                if (!"".equals(ywmc2)) {
                    String[] ywArr2 = ywmc2.split(",");
                    if (ywArr2.length > 0) {
                        map2.put("YWMC", ywArr2[ywArr2.length - 1]);
                    }
                }
                map2.put("QLID", qlid2);
                map2.put("YWH", ywh2);
                map2.put("AJH", "---" + ajh2);
                map2.put("XMBH", xmbh2);
                map2.put("CANCLED", "false");
                map2.put("DJZT", "YGD");
                map2.put("SOURCE", "his");
                map2.put("DBSJ", dbsj2);
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                String isvalid = listMap.get(iql).get("ISVALID").toString();
                if (isvalid.equals("0")) {
                    map2.put("DJZT", "YZX");
                }
                map2.put("qllx", qllxHis);
                if (qllxHis.equals("10")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "SYQ");
                } else if (qllxHis.equals("21") || qllxHis.equals("22")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "DYQ");
                } else if (qllxHis.equals("31") || qllxHis.equals("32") || qllxHis.equals("33") || qllxHis.equals("34")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "YGQ");
                } else if (qllxHis.equals("40")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "CFDJ");
                } else if (qllxHis.equals("50")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "YYDJ");
                } else if (qllxHis.startsWith("8")) {
                    map2.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                    if (qllxHis.endsWith("1")) {
                        map2.put("QLLX", "SYQ");
                    } else if (qllxHis.endsWith("2")) {
                        map2.put("QLLX", "DYQ");
                    } else if (qllxHis.endsWith("3")) {
                        map2.put("QLLX", "YGQ");
                    } else if (qllxHis.endsWith("4")) {
                        map2.put("QLLX", "CFDJ");
                    } else if (qllxHis.endsWith("5")) {
                        map2.put("QLLX", "YYDJ");
                    }
                }
                qllist.add(map2);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetQLListAll_Bl(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> beingList = this.baseCommonDao.getDataListByFullSql("select djdy.DJLX,djdy.QLID,djdy.DJDYID,djdy.XMBH,djdy.QLLX,djdy.DBSJ,xmxx.YWLSH,xmxx.AJH,xmxx.YWMC from SMRIGHT_RUN.T_DJDY djdy,SMRIGHT_STO.T_XMXX xmxx where djdy.XMBH = xmxx.XMBH and xmxx.SFDB!='1' and djdy.HOUSE_ID='" + bdcdyid + "' order by case when djdy.DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else djdy.DBSJ end desc ");
        if (beingList.size() > 0) {
            for (Map being : beingList) {
                String djlx = StringHelper.formatObject(being.get("DJLX"));
                String qlid = StringHelper.formatObject(being.get("QLID"));
                String xmbh = StringHelper.formatObject(being.get("XMBH"));
                String ywh = StringHelper.formatObject(being.get("YWLSH"));
                String ajh = StringHelper.formatObject(being.get("AJH"));
                String qllx = StringHelper.formatObject(being.get("QLLX"));
                String dbsj = StringHelper.FormatYmdhmsByDate(being.get("DBSJ"));
                String ywmc = StringHelper.FormatYmdhmsByDate(being.get("YWMC"));
                Map<String, String> map = new HashMap<>();
                map.put("QLID", qlid);
                map.put("YWH", ywh);
                map.put("AJH", "---" + ajh);
                map.put("XMBH", xmbh);
                map.put("CANCLED", "false");
                map.put("SOURCE", "run");
                map.put("qllx", qllx);
                map.put("DBSJ", dbsj);
                map.put("ISVALID", "1");
                if (!"".equals(ywmc)) {
                    String[] ywArr = ywmc.split(",");
                    if (ywArr.length > 0) {
                        map.put("YWMC", ywArr[ywArr.length - 1]);
                    }
                }
                if (qllx.equals("10")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "SYQ");
                } else if (qllx.equals("21") || qllx.equals("22")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "DYQ");
                } else if (qllx.equals("31") || qllx.equals("32") || qllx.equals("33") || qllx.equals("34")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "YGQ");
                } else if (qllx.equals("40")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "CFDJ");
                } else if (qllx.equals("50")) {
                    if (djlx != null && !djlx.equals("")) {
                        map.put("DJLX", ConstValue.DJLX.initFrom(djlx).Name);
                    }
                    map.put("QLLX", "YYDJ");
                } else if (qllx.startsWith("8")) {
                    map.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                    if (qllx.endsWith("1")) {
                        map.put("QLLX", "SYQ");
                    } else if (qllx.endsWith("2")) {
                        map.put("QLLX", "DYQ");
                    } else if (qllx.endsWith("3")) {
                        map.put("QLLX", "YGQ");
                    } else if (qllx.endsWith("4")) {
                        map.put("QLLX", "CFDJ");
                    } else if (qllx.endsWith("5")) {
                        map.put("QLLX", "YYDJ");
                    }
                }
                qllist.add(map);
            }
        }
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select DJLX,QLID,DJDYID,XMBH,QLLX,DBSJ,ISVALID from SMRIGHT_HIS.T_DJDY where HOUSE_ID='" + bdcdyid + "' order by case when DBSJ is null then to_date('1900-1-1','yyyy-MM-dd') else dbsj end desc,qllx desc ");
        if (listMap != null && listMap.size() > 0) {
            for (int iql = 0; iql < listMap.size(); iql++) {
                String qlid2 = StringHelper.formatObject(listMap.get(iql).get("QLID"));
                String djlx2 = StringHelper.formatObject(listMap.get(iql).get("DJLX"));
                String ywh2 = "";
                String ajh2 = "";
                String ywmc2 = "";
                if (listMap.get(iql).get("XMBH") != null && !StringHelper.isEmpty(listMap.get(iql).get("XMBH").toString())) {
                    List<Map> _ywhList = this.baseCommonDao.getDataListByFullSql("select YWLSH,AJH,YWMC from SMRIGHT_STO.T_XMXX where  XMBH ='" + listMap.get(iql).get("XMBH").toString() + "'");
                    if (_ywhList.size() > 0) {
                        ywh2 = StringHelper.formatObject(_ywhList.get(0).get("YWLSH"));
                        ajh2 = StringHelper.formatObject(_ywhList.get(0).get("AJH"));
                        ywmc2 = StringHelper.formatObject(_ywhList.get(0).get("YWMC"));
                    }
                }
                String xmbh2 = StringHelper.formatObject(listMap.get(iql).get("XMBH"));
                String dbsj2 = StringHelper.FormatYmdhmsByDate(listMap.get(iql).get("DBSJ"));
                String IsValid = StringHelper.formatObject(listMap.get(iql).get("ISVALID"));
                Map<String, String> map2 = new HashMap<>();
                map2.put("QLID", qlid2);
                map2.put("YWH", ywh2);
                if (!"".equals(ywmc2)) {
                    String[] ywArr2 = ywmc2.split(",");
                    if (ywArr2.length > 0) {
                        map2.put("YWMC", ywArr2[ywArr2.length - 1]);
                    }
                }
                map2.put("AJH", "---" + ajh2);
                map2.put("XMBH", xmbh2);
                map2.put("CANCLED", "false");
                map2.put("DJZT", "YGD");
                map2.put("SOURCE", "his");
                map2.put("DBSJ", dbsj2);
                map2.put("ISVALID", IsValid);
                String qllxHis = listMap.get(iql).get("QLLX").toString();
                map2.put("qllx", qllxHis);
                String isvalid = listMap.get(iql).get("ISVALID").toString();
                if (isvalid.equals("0")) {
                    map2.put("DJZT", "YZX");
                }
                if (qllxHis.equals("10")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "SYQ");
                } else if (qllxHis.equals("21") || qllxHis.equals("22")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "DYQ");
                } else if (qllxHis.equals("31") || qllxHis.equals("32") || qllxHis.equals("33") || qllxHis.equals("34")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "YGQ");
                } else if (qllxHis.equals("40")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "CFDJ");
                } else if (qllxHis.equals("50")) {
                    map2.put("DJLX", ConstValue.DJLX.initFrom(djlx2).Name);
                    map2.put("QLLX", "YYDJ");
                } else if (qllxHis.startsWith("8")) {
                    map2.put("DJLX", ConstValue.DJLX.ZXDJ.Name);
                    if (qllxHis.endsWith("1")) {
                        map2.put("QLLX", "SYQ");
                    } else if (qllxHis.endsWith("2")) {
                        map2.put("QLLX", "DYQ");
                    } else if (qllxHis.endsWith("3")) {
                        map2.put("QLLX", "YGQ");
                    } else if (qllxHis.endsWith("4")) {
                        map2.put("QLLX", "CFDJ");
                    } else if (qllxHis.endsWith("5")) {
                        map2.put("QLLX", "YYDJ");
                    }
                }
                qllist.add(map2);
            }
        }
        result.add(qllist);
        return result;
    }

    public List<List<Map>> GetQLInfo(String qlid, String djzt) {
        List<Map> qllist;
        List<Map> qlrlist;
        List<Map> zxqllist;
        List<Map> houselist;
        List<List<Map>> result = new ArrayList<>();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        if (djzt != null && djzt.equals("his")) {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_HIS.T_SYQL ql ,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and ql.SYQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_HIS.T_QLR where QLID='" + qlid + "' and QLLX=10");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.*,xmxx.ywlsh from SMRIGHT_Sto.T_QLGX AA,SMRIGHT_HIS.T_ZXQL BB,SMRIGHT_STO.T_XMXX xmxx where AA.QLLX=10 and AA.QLID='" + qlid + "' and AA.XQLLX=81 and AA.XQLID=BB.ZXQLID and BB.xmbh=xmxx.xmbh");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,USE_FACT,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_HIS.T_DJDY where QLID='" + qlid + "' and QLLX=10");
        } else {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_RUN.T_SYQL ql,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and SYQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_RUN.T_QLR where QLID='" + qlid + "' and QLLX=10");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.* from SMRIGHT_STO.T_QLGX AA,SMRIGHT_RUN.T_ZXQL BB where AA.QLLX=10 and AA.QLID='" + qlid + "' and AA.XQLLX=81 and AA.XQLID=BB.ZXQLID");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,USE_FACT,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_RUN.T_DJDY where QLID='" + qlid + "' and QLLX=10");
        }
        if (qlrlist != null && qlrlist.size() > 0) {
            for (Map mm : qlrlist) {
                if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("0")) {
                    mm.put("GYFS_ENUM", "单独所有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("1")) {
                    mm.put("GYFS_ENUM", "共同共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("2")) {
                    mm.put("GYFS_ENUM", "按份共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("3")) {
                    mm.put("GYFS_ENUM", "其它共有");
                }
            }
        }
        if (houselist != null && houselist.size() > 0) {
            for (Map mm2 : houselist) {
                if (mm2.get("USE_DESIGN") != null) {
                    String fieldTem = FieldEnumHelper.getNameByValue("USE_DESIGN", mm2.get("USE_DESIGN").toString());
                    if (fieldTem == null || StringHelper.isEmpty(fieldTem)) {
                        fieldTem = mm2.get("USE_DESIGN").toString();
                    }
                    mm2.put("USE_DESIGN_ENUM", fieldTem);
                }
                if (mm2.get("USE_FACT") != null) {
                    String fieldTem2 = FieldEnumHelper.getNameByValue("USE_FACT", mm2.get("USE_FACT").toString());
                    if (fieldTem2 == null || StringHelper.isEmpty(fieldTem2)) {
                        fieldTem2 = mm2.get("USE_FACT").toString();
                    }
                    mm2.put("USE_DESIGN_ENUM", fieldTem2);
                }
                if (mm2.get("BUILD_STRUCT") != null) {
                    String fieldTem3 = FieldEnumHelper.getNameByValue("BUILD_STRUCT", mm2.get("BUILD_STRUCT").toString());
                    if (fieldTem3 == null || StringHelper.isEmpty(fieldTem3)) {
                        fieldTem3 = mm2.get("BUILD_STRUCT").toString();
                    }
                    mm2.put("BUILD_STRUCT_ENUM", fieldTem3);
                }
            }
        }
        result.add(qllist);
        result.add(qlrlist);
        result.add(zxqllist);
        result.add(houselist);
        return result;
    }

    public List<List<Map>> GetYGQLInfo(String qlid, String djzt) {
        List<Map> qllist;
        List<Map> qlrlist;
        List<Map> zxqllist;
        List<Map> houselist;
        List<List<Map>> result = new ArrayList<>();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        if (djzt != null && djzt.equals("his")) {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_HIS.T_YGQL ql ,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and YGQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_HIS.T_QLR where QLID='" + qlid + "' and QLLX in (31,32,33,34)");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.*,xmxx.ywlsh from SMRIGHT_Sto.T_QLGX AA,SMRIGHT_HIS.T_ZXQL BB,SMRIGHT_STO.T_XMXX xmxx where AA.QLLX in (31,32,33,34) and AA.QLID='" + qlid + "' and AA.XQLLX=83 and AA.XQLID=BB.ZXQLID and BB.xmbh=xmxx.xmbh");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_HIS.T_DJDY where QLID='" + qlid + "' and QLLX in (31,32,33,34)");
        } else {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_RUN.T_YGQL ql,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and YGQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_RUN.T_QLR where QLID='" + qlid + "' and QLLX in (31,32,33,34)");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.* from SMRIGHT_STO.T_QLGX AA,SMRIGHT_RUN.T_ZXQL BB where AA.QLLX in (31,32,33,34) and AA.QLID='" + qlid + "' and AA.XQLLX=83 and AA.XQLID=BB.ZXQLID");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_RUN.T_DJDY where QLID='" + qlid + "' and QLLX in (31,32,33,34)");
        }
        if (qlrlist != null && qlrlist.size() > 0) {
            for (Map mm : qlrlist) {
                if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("0")) {
                    mm.put("GYFS_ENUM", "单独所有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("1")) {
                    mm.put("GYFS_ENUM", "共同共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("2")) {
                    mm.put("GYFS_ENUM", "按份共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("3")) {
                    mm.put("GYFS_ENUM", "其它共有");
                }
            }
        }
        if (houselist != null && houselist.size() > 0) {
            for (Map mm2 : houselist) {
                if (mm2.get("USE_DESIGN") != null) {
                    String fieldTem = FieldEnumHelper.getNameByValue("USE_DESIGN", mm2.get("USE_DESIGN").toString());
                    if (fieldTem == null || StringHelper.isEmpty(fieldTem)) {
                        fieldTem = mm2.get("USE_DESIGN").toString();
                    }
                    mm2.put("USE_DESIGN_ENUM", fieldTem);
                }
                if (mm2.get("BUILD_STRUCT") != null) {
                    String fieldTem2 = FieldEnumHelper.getNameByValue("BUILD_STRUCT", mm2.get("BUILD_STRUCT").toString());
                    if (fieldTem2 == null || StringHelper.isEmpty(fieldTem2)) {
                        fieldTem2 = mm2.get("BUILD_STRUCT").toString();
                    }
                    mm2.put("BUILD_STRUCT_ENUM", fieldTem2);
                }
            }
        }
        if (qllist != null && qllist.size() > 0) {
            for (Map mm3 : qllist) {
                if (mm3.get("DYFS") != null) {
                    String dyfs = StringHelper.formatObject(mm3.get("DYFS"));
                    if (dyfs != null && !dyfs.equals("")) {
                        mm3.put("DYFSNAME", ConstHelper.getNameByValue("DYFS", dyfs));
                    } else {
                        mm3.put("DYFSNAME", "");
                    }
                }
            }
        }
        result.add(qllist);
        result.add(qlrlist);
        result.add(zxqllist);
        result.add(houselist);
        return result;
    }

    public List<List<Map>> GetDYQLInfo(String qlid, String djzt) {
        List<Map> qllist;
        List<Map> qlrlist;
        List<Map> zxqllist;
        List<Map> houselist;
        List<List<Map>> result = new ArrayList<>();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        if (djzt != null && djzt.equals("his")) {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_His.T_DYQL ql ,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and DYQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_His.T_QLR where QLID='" + qlid + "' and QLLX in (21,22)");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.*,xmxx.ywlsh from SMRIGHT_Sto.T_QLGX AA,SMRIGHT_His.T_ZXQL BB,SMRIGHT_STO.T_XMXX xmxx where AA.QLLX in (21,22) and AA.QLID='" + qlid + "' and AA.XQLLX=82 and AA.XQLID=BB.ZXQLID and BB.xmbh=xmxx.xmbh");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_His.T_DJDY where QLID='" + qlid + "' and QLLX in (21,22)");
        } else {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_RUN.T_DYQL ql,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and DYQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_RUN.T_QLR where QLID='" + qlid + "' and QLLX in (21,22)");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.* from SMRIGHT_STO.T_QLGX AA,SMRIGHT_RUN.T_ZXQL BB where AA.QLLX in (21,22) and AA.QLID='" + qlid + "' and AA.XQLLX=82 and AA.XQLID=BB.ZXQLID");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_RUN.T_DJDY where QLID='" + qlid + "' and QLLX in (21,22)");
        }
        if (qlrlist != null && qlrlist.size() > 0) {
            for (Map mm : qlrlist) {
                if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("0")) {
                    mm.put("GYFS_ENUM", "单独所有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("1")) {
                    mm.put("GYFS_ENUM", "共同共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("2")) {
                    mm.put("GYFS_ENUM", "按份共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("3")) {
                    mm.put("GYFS_ENUM", "其它共有");
                }
            }
        }
        if (qllist != null && qllist.size() > 0) {
            for (Map mm2 : qllist) {
                if (mm2.get("DYFS") != null) {
                    String fieldTem = FieldEnumHelper.getNameByValue("DYFS", mm2.get("DYFS").toString());
                    if (fieldTem == null || StringHelper.isEmpty(fieldTem)) {
                        fieldTem = mm2.get("DYFS").toString();
                    }
                    mm2.put("DYFS_ENUM", fieldTem);
                }
                if (mm2.get("QLLX") != null) {
                    String _dylxmm = ConstValue.QLLX.initFrom(mm2.get("QLLX").toString()).Name;
                    mm2.put("QLLX_ENUM", _dylxmm);
                }
            }
        }
        if (houselist != null && houselist.size() > 0) {
            for (Map mm3 : houselist) {
                if (mm3.get("USE_DESIGN") != null) {
                    String fieldTem2 = FieldEnumHelper.getNameByValue("USE_DESIGN", mm3.get("USE_DESIGN").toString());
                    if (fieldTem2 == null || StringHelper.isEmpty(fieldTem2)) {
                        fieldTem2 = mm3.get("USE_DESIGN").toString();
                    }
                    mm3.put("USE_DESIGN_ENUM", fieldTem2);
                }
                if (mm3.get("BUILD_STRUCT") != null) {
                    String fieldTem3 = FieldEnumHelper.getNameByValue("BUILD_STRUCT", mm3.get("BUILD_STRUCT").toString());
                    if (fieldTem3 == null || StringHelper.isEmpty(fieldTem3)) {
                        fieldTem3 = mm3.get("BUILD_STRUCT").toString();
                    }
                    mm3.put("BUILD_STRUCT_ENUM", fieldTem3);
                }
            }
        }
        result.add(qllist);
        result.add(qlrlist);
        result.add(zxqllist);
        result.add(houselist);
        return result;
    }

    public List<List<Map>> GetCFQLInfo(String qlid, String djzt) {
        List<Map> qllist;
        List<Map> qlrlist;
        List<Map> zxqllist;
        List<Map> houselist;
        List<List<Map>> result = new ArrayList<>();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        if (djzt != null && djzt.contains("his")) {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_His.T_CFQL ql ,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and CFQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_His.T_QLR where QLID='" + qlid + "' and QLLX in (40)");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.*,xmxx.ywlsh from SMRIGHT_Sto.T_QLGX AA,SMRIGHT_His.T_ZXQL BB,SMRIGHT_STO.T_XMXX xmxx where AA.QLLX in (40) and AA.QLID='" + qlid + "' and AA.XQLLX=84 and AA.XQLID=BB.ZXQLID and BB.xmbh=xmxx.xmbh");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_His.T_DJDY where QLID='" + qlid + "' and QLLX in (40)");
        } else {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_RUN.T_CFQL ql,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and CFQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_RUN.T_QLR where QLID='" + qlid + "' and QLLX in (40)");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.* from SMRIGHT_STO.T_QLGX AA,SMRIGHT_RUN.T_ZXQL BB where AA.QLLX in (40) and AA.QLID='" + qlid + "' and AA.XQLLX=84 and AA.XQLID=BB.ZXQLID");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_RUN.T_DJDY where QLID='" + qlid + "' and QLLX in (40)");
        }
        for (Map<String, Object> data : qllist) {
            for (String key : data.keySet()) {
                if (data.get(key) instanceof Clob) {
                    Clob clob = (Clob) data.get(key);
                    try {
                        data.put(key, clob.getSubString(1L, (int) clob.length()));
                    } catch (SQLException e) {
                        e.printStackTrace();
                    }
                }
            }
        }
        if (qlrlist != null && qlrlist.size() > 0) {
            for (Map mm : qlrlist) {
                if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("0")) {
                    mm.put("GYFS_ENUM", "单独所有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("1")) {
                    mm.put("GYFS_ENUM", "共同共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("2")) {
                    mm.put("GYFS_ENUM", "按份共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("3")) {
                    mm.put("GYFS_ENUM", "其它共有");
                }
            }
        }
        if (qllist != null && qllist.size() > 0) {
            for (Map mm2 : qllist) {
                if (mm2.get("CFLX") != null) {
                    String fieldTem = FieldEnumHelper.getNameByValue("CFLX", mm2.get("CFLX").toString());
                    if (fieldTem == null || StringHelper.isEmpty(fieldTem)) {
                        fieldTem = mm2.get("CFLX").toString();
                    }
                    mm2.put("CFLX_ENUM", fieldTem);
                }
            }
        }
        if (houselist != null && houselist.size() > 0) {
            for (Map mm3 : houselist) {
                if (mm3.get("USE_DESIGN") != null) {
                    String fieldTem2 = FieldEnumHelper.getNameByValue("USE_DESIGN", mm3.get("USE_DESIGN").toString());
                    if (fieldTem2 == null || StringHelper.isEmpty(fieldTem2)) {
                        fieldTem2 = mm3.get("USE_DESIGN").toString();
                    }
                    mm3.put("USE_DESIGN_ENUM", fieldTem2);
                }
                if (mm3.get("BUILD_STRUCT") != null) {
                    String fieldTem3 = FieldEnumHelper.getNameByValue("BUILD_STRUCT", mm3.get("BUILD_STRUCT").toString());
                    if (fieldTem3 == null || StringHelper.isEmpty(fieldTem3)) {
                        fieldTem3 = mm3.get("BUILD_STRUCT").toString();
                    }
                    mm3.put("BUILD_STRUCT_ENUM", fieldTem3);
                }
            }
        }
        result.add(qllist);
        result.add(qlrlist);
        result.add(zxqllist);
        result.add(houselist);
        return result;
    }

    public List<List<Map>> GetYYQLInfo(String qlid, String djzt) {
        List<Map> qllist;
        List<Map> qlrlist;
        List<Map> zxqllist;
        List<Map> houselist;
        List<List<Map>> result = new ArrayList<>();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        new ArrayList();
        if (djzt != null && djzt.equals("his")) {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_His.T_YYQL ql ,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and YYQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_His.T_QLR where QLID='" + qlid + "' and QLLX in (50)");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.*,xmxx.ywlsh from SMRIGHT_Sto.T_QLGX AA,SMRIGHT_His.T_ZXQL BB,SMRIGHT_STO.T_XMXX xmxx where AA.QLLX in (50) and AA.QLID='" + qlid + "' and AA.XQLLX=85 and AA.XQLID=BB.ZXQLID and BB.xmbh=xmxx.xmbh");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_His.T_DJDY where QLID='" + qlid + "' and QLLX in (50)");
        } else {
            qllist = this.baseCommonDao.getDataListByFullSql("select ql.*,xmxx.ywlsh from SMRIGHT_RUN.T_YYQL ql,SMRIGHT_STO.T_XMXX xmxx where ql.xmbh=xmxx.xmbh and YYQLID='" + qlid + "' ");
            qlrlist = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_RUN.T_QLR where QLID='" + qlid + "' and QLLX in (50)");
            zxqllist = this.baseCommonDao.getDataListByFullSql("select BB.* from SMRIGHT_STO.T_QLGX AA,SMRIGHT_RUN.T_ZXQL BB where AA.QLLX in (50) and AA.QLID='" + qlid + "' and AA.XQLLX=85 and AA.XQLID=BB.ZXQLID");
            houselist = this.baseCommonDao.getDataListByFullSql("select HOUSE_ID,HOUSE_CODE,HOUSE_TYPE,PRESELLREALTY_TYPE,REALTY_TYPE,HOUSE_FETCHTYPE,REALTY_CHARACTER, BUILD_STRUCT, FLOOR_COUNT,REALUNIT_NUMBER,REALROOM_NUMBER,REALFLOOR_REALRIGHT,DOOR_NUMBER,REALBUILD_AREA, REALINSIDE_AREA,REALSHARE_AREA,USE_DESIGN,ROOM_TYPE,HOUSE_ADDRESS,BUILDING_NUMBER   from SMRIGHT_RUN.T_DJDY where QLID='" + qlid + "' and QLLX in (50)");
        }
        if (qlrlist != null && qlrlist.size() > 0) {
            for (Map mm : qlrlist) {
                if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("0")) {
                    mm.put("GYFS_ENUM", "单独所有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("1")) {
                    mm.put("GYFS_ENUM", "共同共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("2")) {
                    mm.put("GYFS_ENUM", "按份共有");
                } else if (StringHelper.formatObject(mm.get("GYFS")).toString().equals("3")) {
                    mm.put("GYFS_ENUM", "其它共有");
                }
            }
        }
        if (houselist != null && houselist.size() > 0) {
            for (Map mm2 : houselist) {
                if (mm2.get("USE_DESIGN") != null) {
                    String fieldTem = FieldEnumHelper.getNameByValue("USE_DESIGN", mm2.get("USE_DESIGN").toString());
                    if (fieldTem == null || StringHelper.isEmpty(fieldTem)) {
                        fieldTem = mm2.get("USE_DESIGN").toString();
                    }
                    mm2.put("USE_DESIGN_ENUM", fieldTem);
                }
                if (mm2.get("BUILD_STRUCT") != null) {
                    String fieldTem2 = FieldEnumHelper.getNameByValue("BUILD_STRUCT", mm2.get("BUILD_STRUCT").toString());
                    if (fieldTem2 == null || StringHelper.isEmpty(fieldTem2)) {
                        fieldTem2 = mm2.get("BUILD_STRUCT").toString();
                    }
                    mm2.put("BUILD_STRUCT_ENUM", fieldTem2);
                }
            }
        }
        result.add(qllist);
        result.add(qlrlist);
        result.add(zxqllist);
        result.add(houselist);
        return result;
    }

    public List<List<Map>> GetYGYDList_XZ(String bdcdyid) {
        List<List<Map>> result = new ArrayList<>();
        List<Map> qllist = new ArrayList<>();
        List<Map> listMap = this.baseCommonDao.getDataListByFullSql("select * from SMRIGHT_STO.T_DJDY where BDCDYID='" + bdcdyid + "'");
        if (listMap != null && listMap.size() > 0) {
            String djdyid = "-9999999";
            if (listMap.get(0).get("DJDYID") != null) {
                djdyid = listMap.get(0).get("DJDYID").toString();
            }
            List<Map> xzqls = this.baseCommonDao.getDataListByFullSql("SELECT QLID,YWH,DJLX,QLLX,XMBH FROM SMRIGHT_STO.T_QL WHERE DJDYID='" + djdyid + "' AND QLLX='24' and DJLX='700' ORDER BY DJSJ");
            if (xzqls != null && xzqls.size() > 0) {
                for (int iql = 0; iql < xzqls.size(); iql++) {
                    String qlid = StringHelper.formatObject(xzqls.get(iql).get("QLID"));
                    String djlx = StringHelper.formatObject(xzqls.get(iql).get("DJLX"));
                    String ywh = StringHelper.formatObject(xzqls.get(iql).get("YWH"));
                    String xmbh = StringHelper.formatObject(xzqls.get(iql).get("XMBH"));
                    Map<String, String> map = new HashMap<>();
                    map.put("QLID", qlid);
                    map.put("YWH", ywh);
                    map.put("CANCLED", "false");
                    map.put("DJLX", StringHelper.isEmpty(djlx) ? "首次登记" : ConstValue.DJLX.initFrom(djlx).Name);
                    map.put("QLLX", "YDQ");
                    map.put("XMBH", xmbh);
                    qllist.add(map);
                }
            }
        }
        result.add(qllist);
        return result;
    }

    private List<Map> SortRightInfoList(List<Map> qlinfo_list_all) {
        if (qlinfo_list_all != null && qlinfo_list_all.size() > 0) {
            SimpleDateFormat sdf1 = new SimpleDateFormat("yyyy-MM-dd HH-mm-ss");
            Collections.sort(qlinfo_list_all, new 1(this, sdf1));
        }
        return qlinfo_list_all;
    }

    private List<Map> getHouseBookList(String bdcdyid, ConstValue.BDCDYLX dylx) {
        List<Map> list = new ArrayList<>();
        long count = this.baseCommonDao.getCountByFullSql(" FROM DBA_TABLES WHERE TABLE_NAME=UPPER('HOUSEBOOK') AND OWNER='BDCK'");
        if (count > 0 && !StringHelper.isEmpty(dylx)) {
            HouseHis unit = (HouseHis) this.baseCommonDao.get(HouseHis.class, bdcdyid);
            if (unit != null && !StringHelper.isEmpty("")) {
                String sql2 = MessageFormat.format("select * from bdck.housebook where bldroomid=''{0}'' order by commitdatetime", "");
                List<Map> listmap = this.baseCommonDao.getDataListByFullSql(sql2);
                if (listmap != null && listmap.size() > 0) {
                    for (int j = 0; j < listmap.size(); j++) {
                        Map m = listmap.get(j);
                        Object o = m.get("COMMITDATETIME");
                        if (o != null) {
                            String createdate = DateUtil.FormatByDatetime(o);
                            m.remove("COMMITDATETIME");
                            m.put("COMMITDATETIME", createdate);
                        }
                        Object o2 = m.get("CREATEDATE");
                        if (o2 != null) {
                            String createdate2 = DateUtil.FormatByDatetime(o2);
                            m.remove("CREATEDATE");
                            m.put("CREATEDATE", createdate2);
                        }
                        list.add(m);
                    }
                }
            }
        }
        Collections.reverse(list);
        return list;
    }

    public Message getSYQList(int page, int size, String zh, String qzh, String qlr, String zl, String px, String orderNames) {
        StringBuilder sb = new StringBuilder();
        Message msg = new Message();
        sb.append("from SMRIGHT_STO.V_QL_SYQZX where 1=1 ");
        if (zh != null && !zh.equals("")) {
            sb.append(" and BUILDING_NUMBER like '%");
            sb.append(zh);
            sb.append("%' ");
        }
        if (qzh != null && !qzh.equals("")) {
            sb.append(" and BDCQZH like '%");
            sb.append(qzh);
            sb.append("%' ");
        }
        if (qlr != null && !qlr.equals("")) {
            sb.append(" and QLRMC like '%");
            sb.append(qlr);
            sb.append("%' ");
        }
        if (zl != null && !zl.equals("")) {
            sb.append(" and HOUSE_ADDRESS like '%");
            sb.append(zl);
            sb.append("%' ");
        }
        if (px != null && !px.equals("")) {
            if (px.equals("1")) {
                if (orderNames != null && !orderNames.equals("")) {
                    String[] orders = orderNames.split(",");
                    if (orders.length > 0) {
                        sb.append(" order by " + orders[0].toString() + " desc");
                        for (int i = 1; i < orders.length; i++) {
                            sb.append(" ,");
                            sb.append(" " + orders[i].toString() + " desc");
                        }
                    }
                }
            } else if (orderNames != null && !orderNames.equals("")) {
                String[] orders2 = orderNames.split(",");
                if (orders2.length > 0) {
                    sb.append(" order by " + orders2[0].toString() + " asc");
                    for (int i2 = 1; i2 < orders2.length; i2++) {
                        sb.append(" ,");
                        sb.append(" " + orders2[i2].toString() + " asc");
                    }
                }
            }
        }
        long count = this.baseCommonDao.getCountByFullSql(sb.toString());
        if (count > 0) {
            msg.setTotal(count);
            List<Map> list = this.houseDao.getDataListByFullSql("select * " + sb.toString(), page, size);
            msg.setRows(list);
        }
        return msg;
    }

    public Message getDYQList(int page, int size, String zh, String qzh, String qlr, String zl, String px, String orderNames) {
        StringBuilder sb = new StringBuilder();
        Message msg = new Message();
        sb.append("from SMRIGHT_STO.V_QL_DYZX where 1=1 ");
        if (zh != null && !zh.equals("")) {
            sb.append(" and BUILDING_NUMBER in '%");
            sb.append(zh);
            sb.append("%' ");
        }
        if (qzh != null && !qzh.equals("")) {
            sb.append(" and BDCQZH in '%");
            sb.append(qzh);
            sb.append("%' ");
        }
        if (qlr != null && !qlr.equals("")) {
            sb.append(" and QLRMC in '%");
            sb.append(qlr);
            sb.append("%' ");
        }
        if (zl != null && !zl.equals("")) {
            sb.append(" and HOUSE_ADDRESS in '%");
            sb.append(zl);
            sb.append("%' ");
        }
        if (px != null && !px.equals("")) {
            if (px.equals("1")) {
                if (orderNames != null && !orderNames.equals("")) {
                    String[] orders = orderNames.split(",");
                    if (orders.length > 0) {
                        sb.append(" order by " + orders[0].toString() + " desc");
                        for (int i = 1; i < orders.length; i++) {
                            sb.append(" ,");
                            sb.append(" " + orders[i].toString() + " desc");
                        }
                    }
                }
            } else if (orderNames != null && !orderNames.equals("")) {
                String[] orders2 = orderNames.split(",");
                if (orders2.length > 0) {
                    sb.append(" order by " + orders2[0].toString() + " asc");
                    for (int i2 = 1; i2 < orders2.length; i2++) {
                        sb.append(" ,");
                        sb.append(" " + orders2[i2].toString() + " asc");
                    }
                }
            }
        }
        long count = this.baseCommonDao.getCountByFullSql(sb.toString());
        if (count > 0) {
            msg.setTotal(count);
            List<Map> list = this.houseDao.getDataListByFullSql("select * " + sb.toString(), page, size);
            msg.setRows(list);
        }
        return msg;
    }

    public Message getCFQList(int page, int size, String zh, String qzh, String qlr, String zl, String px, String orderNames) {
        StringBuilder sb = new StringBuilder();
        Message msg = new Message();
        sb.append("from SMRIGHT_STO.V_QL_CFZX where 1=1 ");
        if (zh != null && !zh.equals("")) {
            sb.append(" and BUILDING_NUMBER like '%");
            sb.append(zh);
            sb.append("%' ");
        }
        if (qzh != null && !qzh.equals("")) {
            sb.append(" and BDCQZH in '%");
            sb.append(qzh);
            sb.append("%' ");
        }
        if (qlr != null && !qlr.equals("")) {
            sb.append(" and QLRMC in '%");
            sb.append(qlr);
            sb.append("%' ");
        }
        if (zl != null && !zl.equals("")) {
            sb.append(" and HOUSE_ADDRESS in '%");
            sb.append(zl);
            sb.append("%' ");
        }
        if (px != null && !px.equals("")) {
            if (px.equals("1")) {
                if (orderNames != null && !orderNames.equals("")) {
                    String[] orders = orderNames.split(",");
                    if (orders.length > 0) {
                        sb.append(" order by " + orders[0].toString() + " desc");
                        for (int i = 1; i < orders.length; i++) {
                            sb.append(" ,");
                            sb.append(" " + orders[i].toString() + " desc");
                        }
                    }
                }
            } else if (orderNames != null && !orderNames.equals("")) {
                String[] orders2 = orderNames.split(",");
                if (orders2.length > 0) {
                    sb.append(" order by " + orders2[0].toString() + " asc");
                    for (int i2 = 1; i2 < orders2.length; i2++) {
                        sb.append(" ,");
                        sb.append(" " + orders2[i2].toString() + " asc");
                    }
                }
            }
        }
        long count = this.baseCommonDao.getCountByFullSql(sb.toString());
        if (count > 0) {
            msg.setTotal(count);
            List<Map> list = this.houseDao.getDataListByFullSql("select * " + sb.toString(), page, size);
            msg.setRows(list);
        }
        return msg;
    }

    public ResultMessage QLZX(String qlid, String zxr, String zxyy, String isZS) {
        return this.houseDao.QLZX(qlid, zxr, zxyy, isZS);
    }

    public List<House_SC> cfwxx(String id) {
        String sql = "HOUSE_ID=" + id;
        List<House_SC> sqllist = this.baseCommonDao.getDataList(House_SC.class, sql);
        return sqllist;
    }

    public void updatehouse(House_SC house) {
        this.baseCommonDao.update(house);
        this.baseCommonDao.flush();
    }

    public House houseinfo(String id) {
        return null;
    }

    public House_SC gethouse_id(String id) {
        return (House_SC) this.baseCommonDao.get(House_SC.class, id);
    }

    public Page findhouse(String house_address, int pageIndex, int pageSize) {
        Page page = this.houseDao.gethouse(house_address, Integer.valueOf(pageIndex), Integer.valueOf(pageSize));
        return page;
    }

    public Page getPageExtraData(String nameString, int pageIndex, int pageSize) {
        Page page = this.houseDao.getPageExtraData(nameString, pageIndex, pageSize);
        return page;
    }

    public SmObjInfo extractData(JSONArray array, String buildID) {
        SmObjInfo info = new SmObjInfo();
        String msg = "";
        for (int i = 0; i < array.size(); i++) {
            JSONObject object = (JSONObject) array.get(i);
            array.getString(i);
            if (this.houseDao.findByCHId(object.getString("id"))) {
                info.setDesc("系统已存在该房源,提取失败!");
                info.setID("0");
                return info;
            }
            boolean flag = this.houseDao.extract(object.getString("id"), buildID);
            YwLogUtil.addYwLog("档案录入提取家庭信息,内码:" + object.getString("id"), ConstValue.SF.YES.Value, ConstValue.LOG.ADD);
            if (!flag) {
                msg = String.valueOf(msg) + object.get("id").toString() + "、";
            }
        }
        this.houseDao.flush();
        if (StringUtils.hasLength(msg)) {
            info.setDesc("提取" + msg + "失败!");
        } else {
            info.setDesc("提取成功！");
        }
        info.setID("0");
        return info;
    }

    public List<Map> findByHouseID(String id) {
        return this.houseDao.getHouseInfo(id);
    }

    public Page GetPagedQLR(String xmbh, String qlid, Integer page, Integer rows) {
        StringBuilder builder = new StringBuilder();
        builder.append(" QLID='").append(qlid).append("' ORDER BY SXH");
        List<Map> listQlr = this.baseCommonDao.getPageDataByFullSql("select * from SMRIGHT_STO.T_QLR where " + builder.toString(), page.intValue(), rows.intValue());
        Page p = new Page();
        if (listQlr != null) {
            for (Map qlr : listQlr) {
                if (qlr.get("QLRLX") != null) {
                    String value = qlr.get("QLRLX").toString();
                    String valueNew = FieldEnumHelper.getNameByValue("QLRLX", value);
                    if (valueNew == null || StringHelper.isEmpty(valueNew)) {
                        valueNew = value;
                    }
                    qlr.put("qlrlx", valueNew);
                }
                if (qlr.get("ZJZL") != null) {
                    String value2 = qlr.get("ZJZL").toString();
                    String valueNew2 = FieldEnumHelper.getNameByValue("ZJLX", value2);
                    if (valueNew2 == null || StringHelper.isEmpty(valueNew2)) {
                        valueNew2 = value2;
                    }
                    qlr.put("zjzl", valueNew2);
                }
                if (qlr.get("GYFS") != null) {
                    String value3 = qlr.get("GYFS").toString();
                    String valueNew3 = FieldEnumHelper.getNameByValue("GYFS", value3);
                    if (valueNew3 == null || StringHelper.isEmpty(valueNew3)) {
                        valueNew3 = value3;
                    }
                    qlr.put("gyfs", valueNew3);
                }
                if (qlr.get("QLRMC") != null) {
                    String value4 = qlr.get("QLRMC").toString();
                    qlr.put("qlrmc", value4);
                }
                if (qlr.get("ZJH") != null) {
                    String value5 = qlr.get("ZJH").toString();
                    qlr.put("zjh", value5);
                }
                if (qlr.get("QLBL") != null) {
                    String value6 = qlr.get("QLBL").toString();
                    qlr.put("qlbl", value6);
                }
                if (qlr.get("QLRID") != null) {
                    String value7 = qlr.get("QLRID").toString();
                    qlr.put("id", value7);
                }
            }
            p.setTotalCount(listQlr.size());
            p.setData(listQlr);
        }
        return p;
    }

    public Page GetPagedQLRHis(String xmbh, String qlid, Integer page, Integer rows) {
        StringBuilder builder = new StringBuilder();
        builder.append(" QLID='").append(qlid).append("' ORDER BY SXH");
        List<Map> listQlr = this.baseCommonDao.getPageDataByFullSql("select * from SMRIGHT_HIS.T_QLR where " + builder.toString(), page.intValue(), rows.intValue());
        Page p = new Page();
        if (listQlr != null) {
            for (Map qlr : listQlr) {
                if (qlr.get("QLRLX") != null) {
                    String value = qlr.get("QLRLX").toString();
                    String valueNew = FieldEnumHelper.getNameByValue("QLRLX", value);
                    if (valueNew == null || StringHelper.isEmpty(valueNew)) {
                        valueNew = value;
                    }
                    qlr.put("qlrlx", valueNew);
                }
                if (qlr.get("ZJZL") != null) {
                    String value2 = qlr.get("ZJZL").toString();
                    String valueNew2 = FieldEnumHelper.getNameByValue("ZJLX", value2);
                    if (valueNew2 == null || StringHelper.isEmpty(valueNew2)) {
                        valueNew2 = value2;
                    }
                    qlr.put("zjzl", valueNew2);
                }
                if (qlr.get("GYFS") != null) {
                    String value3 = qlr.get("GYFS").toString();
                    String valueNew3 = FieldEnumHelper.getNameByValue("GYFS", value3);
                    if (valueNew3 == null || StringHelper.isEmpty(valueNew3)) {
                        valueNew3 = value3;
                    }
                    qlr.put("gyfs", valueNew3);
                }
                if (qlr.get("QLRMC") != null) {
                    String value4 = qlr.get("QLRMC").toString();
                    qlr.put("qlrmc", value4);
                }
                if (qlr.get("ZJH") != null) {
                    String value5 = qlr.get("ZJH").toString();
                    qlr.put("zjh", value5);
                }
                if (qlr.get("QLBL") != null) {
                    String value6 = qlr.get("QLBL").toString();
                    qlr.put("qlbl", value6);
                }
                if (qlr.get("QLRID") != null) {
                    String value7 = qlr.get("QLRID").toString();
                    qlr.put("id", value7);
                }
            }
            p.setTotalCount(listQlr.size());
            p.setData(listQlr);
        }
        return p;
    }

    public Message getAjhList(int page, int size, String ajh, String syqrmc, String zjh, String zl, String px, String orderNames, String dakfh) {
        StringBuilder sb = new StringBuilder();
        Message msg = new Message();
        sb.append("from SMRIGHT_STO.T_HOUSE a,SMRIGHT_STO.V_QLRXX q where 1=1 ");
        if (ajh != null && !ajh.equals("")) {
            sb.append(" and q.ajh like '%");
            sb.append(ajh);
            sb.append("%' ");
        }
        if (syqrmc != null && !syqrmc.equals("")) {
            sb.append(" and q.QLRMC like '%");
            sb.append(syqrmc);
            sb.append("%' ");
        }
        if (zjh != null && !zjh.equals("")) {
            sb.append(" and q.ZJH like '%");
            sb.append(zjh);
            sb.append("%' ");
        }
        if (zl != null && !zl.equals("")) {
            sb.append(" and a.HOUSE_ADDRESS like '%");
            sb.append(zl);
            sb.append("%' ");
        }
        if (dakfh != null && !dakfh.equals("")) {
            sb.append(" and a.KFH like '%");
            sb.append(dakfh);
            sb.append("%' ");
        }
        if (px != null && !px.equals("")) {
            if (px.equals("1")) {
                if (orderNames != null && !orderNames.equals("")) {
                    String[] orders = orderNames.split(",");
                    if (orders.length > 0) {
                        sb.append(" order by b." + orders[0].toString() + " desc");
                        for (int i = 1; i < orders.length; i++) {
                            sb.append(" ,");
                            sb.append(" " + orders[i].toString() + " desc");
                        }
                    }
                }
            } else if (orderNames != null && !orderNames.equals("")) {
                String[] orders2 = orderNames.split(",");
                if (orders2.length > 0) {
                    sb.append(" order by b." + orders2[0].toString() + " asc");
                    for (int i2 = 1; i2 < orders2.length; i2++) {
                        sb.append(" ,");
                        sb.append(" " + orders2[i2].toString() + " asc");
                    }
                }
            }
        }
        List<Map> list = this.houseDao.getAjhDataListByFullSql("select distinct  q.QLRMC,q.ZJH,A.HOUSE_ADDRESS AS ZL,q.ajh,a.HOUSE_ID,a.BUILDING_ID,a.HOUSE_NUMBER,a.BUILDING_NUMBER,a.DOOR_NUMBER,a.HOUSE_TYPE,a.PRESELLREALTY_TYPE,a.REALTY_TYPE,a.BUILD_STRUCT,a.FLOOR_COUNT,a.FLOOR_START,a.FLOOR_END,a.UNIT_NUMBER,a.ROOM_NUMBER,a.FLOOR_REALRIGHT,a.REALBUILD_AREA AS BUILD_AREA,a.REALINSIDE_AREA AS INSIDEBUILD_AREA,a.REALSHARE_AREA,a.BUILDING_DATE,a.USE_DESIGN,a.USE_FACT,a.HOUSE_TOWARDS,a.ROOM_TYPE,a.ROOM_TYPEDESC,a.REALTYRIGHT_STATE,a.BDCDYH,a.ONEPRICE,a.KFH " + sb.toString() + " and a.HOUSE_ID=q.HOUSE_ID ", page, size);
        if (list != null && list.size() > 0) {
            msg.setTotal(list.size());
        }
        msg.setRows(list);
        YwLogUtil.addYwLog("档案开放利用检索", ConstValue.SF.YES.Value, ConstValue.LOG.SEARCH);
        return msg;
    }

    public Message getKFHList(String ajh, String houseID) {
        StringBuilder sb = new StringBuilder();
        Message msg = new Message();
        sb.append("from SMRIGHT_STO.T_HOUSE a where 1=1 ");
        if (houseID != null && houseID != "" && houseID != "undefined") {
            sb.append(" and house_id=" + houseID);
            List<Map> list = this.houseDao.getKFHDataListByFullSql("select a.HOUSE_ID,a.BUILDING_ID,a.HOUSE_NUMBER,a.HOUSE_ADDRESS,a.BUILDING_NUMBER,a.DOOR_NUMBER,a.HOUSE_TYPE,a.PRESELLREALTY_TYPE,a.REALTY_TYPE,a.BUILD_STRUCT,a.FLOOR_COUNT,a.FLOOR_START,a.FLOOR_END,a.UNIT_NUMBER,a.ROOM_NUMBER,a.FLOOR_REALRIGHT,a.REALBUILD_AREA,a.REALINSIDE_AREA,a.REALSHARE_AREA,a.PREBUILD_AREA,a.PREINSIDE_AREA,a.PRESHARE_AREA,a.BUILDING_DATE,a.USE_DESIGN,a.USE_FACT,a.HOUSE_TOWARDS,a.ROOM_TYPE,a.ROOM_TYPEDESC,a.REALTYRIGHT_STATE,a.BDCDYH,a.ONEPRICE,a.KFH,a.KFSJ,A.KFR,A.KFLB " + sb.toString(), ajh, houseID);
            msg.setRows(list);
            msg.setTotal(list.size());
            YwLogUtil.addYwLog("档案开放号打印,内码:" + houseID + " ,档案号:" + ajh, ConstValue.SF.YES.Value, ConstValue.LOG.PRINT);
            return msg;
        }
        return msg;
    }

    public ResultMessage ajhOpen(String useName, String house_id, String ajh, String px) {
        ResultMessage ms = new ResultMessage();
        if (house_id != null && house_id != "" && house_id != "undefined") {
            House house = (House) this.baseCommonDao.get(House.class, house_id);
            if (house != null) {
                if (house.getKFH() != null) {
                    ms.setMsg("该房屋已有开放号...请查证!");
                    ms.setSuccess("false");
                    return ms;
                }
                house.setKFR(useName);
                house.setKFSJ(StringHelper.FormatByDatetime(new Date()));
                if (px.equals("1")) {
                    house.setKFLB("交易类");
                } else if (px.equals("2")) {
                    house.setKFLB("查封类");
                } else if (px.equals("3")) {
                    house.setKFLB("抵押类");
                } else {
                    ms.setMsg("未获取到业务类别!");
                    ms.setSuccess("false");
                    return ms;
                }
                List<Map> list = this.baseCommonDao.getDataListByFullSql("select SMRIGHT_STO.SEQ_AJH.nextval as AJH from dual\t");
                if (list != null && list.size() > 0) {
                    String ajhNext = list.get(0).get("AJH").toString();
                    String _prefixValue = ConfigHelper.getNameByValue("IS_PREFIX");
                    if (_prefixValue != null && !StringHelper.isEmpty(_prefixValue)) {
                        house.setKFH(String.valueOf(_prefixValue) + ajhNext);
                    } else {
                        house.setKFH(ajhNext);
                    }
                }
                this.baseCommonDao.update(house);
                ms.setMsg("档案开放成功!");
                ms.setSuccess("true");
                YwLogUtil.addYwLog("档案号开放,房屋地址:" + house.getHouse_Address() + " ,内码:" + house.getId(), ConstValue.SF.YES.Value, ConstValue.LOG.UPDATE);
                return ms;
            }
            ms.setMsg("未能找到所查寻房屋信息!");
            ms.setSuccess("false");
            return ms;
        }
        ms.setMsg("未能找到所查寻房屋信息!");
        ms.setSuccess("false");
        return ms;
    }

    public ResultMessage ajhClose(String house_id, String ajh) {
        House house;
        ResultMessage ms = new ResultMessage();
        if (house_id != null) {
            String[] idCol = house_id.split(",");
            if (idCol != null && idCol.length > 0) {
                for (String str : idCol) {
                    String _houseID = str.toString();
                    if (_houseID != null && !StringHelper.isEmpty(_houseID) && (house = (House) this.baseCommonDao.get(House.class, Integer.valueOf(Integer.parseInt(_houseID)))) != null) {
                        house.setKFH((String) null);
                        house.setKFSJ((String) null);
                        house.setKFR((String) null);
                        this.baseCommonDao.update(house);
                    }
                }
                ms.setMsg("废除成功!");
                ms.setSuccess("true");
                YwLogUtil.addYwLog("档案号废除,内码:" + house_id, ConstValue.SF.YES.Value, ConstValue.LOG.UPDATE);
            }
        } else {
            ms.setMsg("废除失败,未能获取到家庭信息!");
            ms.setSuccess("false");
        }
        return ms;
    }

    public List<List<Map>> GetQLList(String ycscbdcdyid) {
        return GetQLListAll(ycscbdcdyid);
    }

    public Map<String, Object> getDYQInfo(String xmbh, String qlid) {
        DYQLHis ql = (DYQLHis) this.baseCommonDao.get(DYQLHis.class, qlid);
        Map<String, Object> map = new HashMap<>();
        if (ql != null) {
            String qssj = ql.getQLQSSJ() == null ? "" : ql.getQLQSSJ().toString();
            String jssj = ql.getQLJSSJ() == null ? "" : ql.getQLJSSJ().toString();
            String htsj = ql.getDYHTQDSJ() == null ? "" : ql.getDYHTQDSJ().toString();
            map.put("qlrmc", ql.getDYQRMC());
            map.put("zjjzwzl", ql.getFWZL());
            map.put("dyfs", ql.getDYFS());
            map.put("bdbzzqse", ql.getBDBZZQSE());
            map.put("qljssj", jssj);
            map.put("qlqssj", qssj);
            map.put("zgzqse", ql.getZGZQSE());
            map.put("zgzqqdss", ql.getZGZQQDSS());
            String fj = ql.getFJ();
            if (!StringHelper.isEmpty(fj)) {
                fj = fj.replaceAll(" ", " ");
            }
            map.put("fj", fj);
            map.put("djyy", ql.getDJYY());
            map.put("dyr", ql.getDYR());
            map.put("bdcqzh", ql.getBDCQZH());
            map.put("dypgjz", ql.getDYPGJZ());
            map.put("dypgjg", ql.getDYPGJG());
            map.put("qljz", ql.getQLJZ());
            map.put("dymj", ql.getDYMJ());
            map.put("bz", ql.getBZ());
            map.put("dylx", ql.getDYLX());
            map.put("dyfs", ql.getDYFS());
            map.put("gzdbh", ql.getGZDBH());
            map.put("zsbh", ql.getZSBH());
            map.put("qdsj", htsj);
            map.put("zwr", ql.getZWR());
            map.put("zwrlxfs", ql.getZWRDH());
            map.put("danbr", ql.getDBRMC());
            map.put("danbrlxfs", ql.getDBRDH());
            map.put("djsj", ql.getDJSJ() == null ? "" : ql.getDJSJ().toString());
            map.put("htbh", ql.getDYHTBH());
            map.put("dbr", ql.getDBR());
            map.put("djjg", ql.getDJJG());
            map.put("xmbh", xmbh);
            map.put("id", qlid);
            map.put("dybdclx", ql.getDYLX());
        }
        return map;
    }

    public ResultMessage SaveQlInfo(String xmbh, String qlid, String bdcdyid, JSONObject object) {
        return null;
    }

    public Map getCfxxInfo(String qlid) {
        CFQLHis ql = (CFQLHis) this.baseCommonDao.get(CFQLHis.class, qlid);
        Map<String, Object> map = new HashMap<>();
        String fj = "";
        String cfjg = "";
        String cflx = "";
        String cfwh = "";
        String cffw = "";
        String cfqssj = "";
        String cfjssj = "";
        String cfwj = "";
        String jffj = "";
        String cfsj = "";
        String djyy = "";
        String djjg = "";
        String dbr = "";
        String djsj = "";
        String gzdbh = "";
        String bcfqlrmc = "";
        String bcfbdcqzh = "";
        Integer lhsx = null;
        if (ql != null) {
            map.put("id", ql.getId());
            fj = ql.getFJ();
            cfqssj = DateUtil.getDate(ql.getQLQSSJ());
            cfjssj = DateUtil.getDate(ql.getQLJSSJ());
            jffj = ql.getFJ();
            djyy = ql.getDJYY();
            cffw = ql.getCFFW();
            djjg = ql.getDJJG();
            dbr = ql.getDBR();
            djsj = StringHelper.FormatYmdhmsByDate(ql.getDJSJ());
            cfsj = StringHelper.FormatYmdhmsByDate(ql.getCFSJ());
            cfwh = ql.getCFWH();
            cfwj = ql.getCFWJ();
            cflx = ql.getCFLX();
            cfjg = ql.getCFJG();
            gzdbh = ql.getGZDBH();
            bcfqlrmc = ql.getBCFQLRMC();
            bcfbdcqzh = ql.getBCFBDCQZH();
            lhsx = ql.getLHSX();
            XMXXSto xmxx = (XMXXSto) this.baseCommonDao.get(XMXXSto.class, ql.getXMBH());
            if (xmxx != null) {
                map.put("xmbh", xmxx.getId());
                map.put("slbh", xmxx.getYWLSH());
            }
        }
        map.put("fj", fj);
        map.put("cfqssj", cfqssj);
        map.put("cfjssj", cfjssj);
        map.put("jffj", jffj);
        map.put("djyy", djyy);
        map.put("cffw", cffw);
        map.put("djyy", djyy);
        map.put("djjg", djjg);
        map.put("dbr", dbr);
        map.put("djsj", djsj);
        map.put("cfsj", cfsj);
        map.put("cfwh", cfwh);
        map.put("cfwj", cfwj);
        map.put("cflx", cflx);
        map.put("cfjg", cfjg);
        map.put("gzdbh", gzdbh);
        map.put("bcfqlrmc", bcfqlrmc);
        map.put("bcfbdcqzh", bcfbdcqzh);
        map.put("lhsx", lhsx);
        return map;
    }

    public Map getYYxxInfo(String qlid) {
        YYQLHis ql = (YYQLHis) this.baseCommonDao.get(YYQLHis.class, qlid);
        Map<String, Object> map = new HashMap<>();
        String YYSX = "";
        String GZDBH = "";
        String QLQSSJ = "";
        String QLJSSJ = "";
        String DJSJ = "";
        String DBR = "";
        String BZ = "";
        String FJ = "";
        String DJJG = "";
        String DJYY = "";
        if (ql != null) {
            map.put("id", ql.getId());
            YYSX = ql.getYYSX();
            GZDBH = ql.getGZDBH();
            QLQSSJ = DateUtil.getDate(ql.getQLQSSJ());
            QLJSSJ = DateUtil.getDate(ql.getQLJSSJ());
            DJSJ = DateUtil.getDate(ql.getDJSJ());
            DBR = ql.getDBR();
            BZ = ql.getBZ();
            FJ = ql.getFJ();
            DJJG = ql.getDJJG();
            DJYY = ql.getDJYY();
            XMXXSto xmxx = (XMXXSto) this.baseCommonDao.get(XMXXSto.class, ql.getXMBH());
            if (xmxx != null) {
                map.put("xmbh", xmxx.getId());
                map.put("ywlsh", xmxx.getYWLSH());
            }
        }
        map.put("djjg", DJJG);
        map.put("djyy", DJYY);
        map.put("yysx", YYSX);
        map.put("gzdbh", GZDBH);
        map.put("qlqssj", QLQSSJ);
        map.put("qljssj", QLJSSJ);
        map.put("djsj", DJSJ);
        map.put("dbr", DBR);
        map.put("bz", BZ);
        map.put("fj", FJ);
        return map;
    }

    public ResultMessage updateCfxxInfo(String qlid, String xmbh, String bdcdyid, JSONObject object) {
        ResultMessage resultMessage = new ResultMessage();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        String qlqssj = object.getString("cfqssj");
        String qljssj = object.getString("cfjssj");
        String djsj = object.getString("djsj");
        try {
            if (!qlid.equals("-99999")) {
                String para_qlid = "";
                String para_djdyid = "";
                StringBuilder _sbOld = new StringBuilder();
                StringBuilder _sbNew = new StringBuilder();
                CFQLSto ql = (CFQLSto) this.commonDao.get(CFQLSto.class, qlid);
                if (ql != null) {
                    _sbOld.append("||" + ql.getGZDBH());
                    ql.setGZDBH(object.getString("gzdbh"));
                    _sbNew.append(object.getString("gzdbh"));
                    _sbOld.append("||" + ql.getBCFQLRMC());
                    ql.setBCFQLRMC(object.getString("bcfqlrmc"));
                    _sbNew.append("||" + object.getString("bcfqlrmc"));
                    _sbOld.append("||" + ql.getBCFBDCQZH());
                    ql.setBCFBDCQZH(object.getString("bcfbdcqzh"));
                    _sbNew.append("||" + object.getString("bcfbdcqzh"));
                    _sbOld.append("||" + ql.getGZDBH());
                    ql.setGZDBH(object.getString("gzdbh"));
                    _sbNew.append("||" + object.getString("gzdbh"));
                    _sbOld.append("||" + ql.getCFJG());
                    ql.setCFJG(object.getString("cfjg"));
                    _sbNew.append("||" + object.getString("cfjg"));
                    _sbOld.append("||" + ql.getCFLX());
                    ql.setCFLX(object.getString("cflx"));
                    _sbNew.append("||" + object.getString("cflx"));
                    _sbOld.append("||" + ql.getCFWH());
                    ql.setCFWH(object.getString("cfwh"));
                    _sbNew.append("||" + object.getString("cfwh"));
                    _sbOld.append("||" + ql.getCFWJ());
                    ql.setCFWJ(object.getString("cfwj"));
                    _sbNew.append("||" + object.getString("cfwj"));
                    if (qlqssj != null && !qlqssj.equals("")) {
                        _sbOld.append("||" + ql.getQLQSSJ());
                        ql.setQLQSSJ(sdf.parse(qlqssj));
                        _sbNew.append("||" + qlqssj);
                    }
                    if (qljssj != null && !qljssj.equals("")) {
                        _sbOld.append("||" + ql.getQLJSSJ());
                        ql.setQLJSSJ(sdf.parse(qljssj));
                        _sbNew.append("||" + qljssj);
                    }
                    if (djsj != null && !djsj.equals("")) {
                        _sbOld.append("||" + ql.getDJSJ());
                        ql.setDJSJ(sdf.parse(djsj));
                        _sbNew.append("||" + djsj);
                    }
                    _sbOld.append("||" + ql.getDBR());
                    ql.setDBR(object.getString("dbr"));
                    _sbNew.append("||" + object.getString("dbr"));
                    _sbOld.append("||" + ql.getDJJG());
                    ql.setDJJG(object.getString("djjg"));
                    _sbNew.append("||" + object.getString("djjg"));
                    _sbOld.append("||" + ql.getCFFW());
                    ql.setCFFW(object.getString("cffw"));
                    _sbNew.append("||" + object.getString("cffw"));
                    _sbOld.append("||" + ql.getDJYY());
                    ql.setDJYY(object.getString("djyy"));
                    _sbNew.append("||" + object.getString("djyy"));
                    _sbOld.append("||" + ql.getFJ());
                    ql.setFJ(object.getString("fj"));
                    _sbNew.append("||" + object.getString("fj"));
                    this.commonDao.update(ql);
                    this.commonDao.flush();
                    CFQLHis qlHis = (CFQLHis) this.commonDao.get(CFQLHis.class, qlid);
                    if (qlHis != null) {
                        qlHis.setGZDBH(object.getString("gzdbh"));
                        qlHis.setBCFQLRMC(object.getString("bcfqlrmc"));
                        qlHis.setBCFBDCQZH(object.getString("bcfbdcqzh"));
                        qlHis.setGZDBH(object.getString("gzdbh"));
                        qlHis.setCFJG(object.getString("cfjg"));
                        qlHis.setCFLX(object.getString("cflx"));
                        qlHis.setCFWH(object.getString("cfwh"));
                        qlHis.setCFWJ(object.getString("cfwj"));
                        if (qlqssj != null && !qlqssj.equals("")) {
                            qlHis.setQLQSSJ(sdf.parse(qlqssj));
                        }
                        if (qljssj != null && !qljssj.equals("")) {
                            qlHis.setQLJSSJ(sdf.parse(qljssj));
                        }
                        if (djsj != null && !djsj.equals("")) {
                            qlHis.setDJSJ(sdf.parse(djsj));
                        }
                        qlHis.setDBR(object.getString("dbr"));
                        qlHis.setDJJG(object.getString("djjg"));
                        qlHis.setCFFW(object.getString("cffw"));
                        qlHis.setDJYY(object.getString("djyy"));
                        qlHis.setFJ(object.getString("fj"));
                        this.commonDao.update(qlHis);
                        this.commonDao.flush();
                        para_qlid = ql.getId();
                        para_djdyid = ql.getXMBH();
                    }
                }
                if (GetProperties.getConstValueByKey("isOpenLogOnAJ") != null && GetProperties.getConstValueByKey("isOpenLogOnAJ").equals("true")) {
                    String _logContent = "档案补录,更新所有权,参数：" + _sbNew.toString();
                    Subject user = SecurityUtils.getSubject();
                    User u = (User) user.getPrincipal();
                    if (u != null) {
                        LogTools.addLog(u.getUserName(), ConstValue.LOG_ARCHIVE.UPDATE, "档案补录模块", _logContent, 1, "", _sbOld.toString(), _logContent);
                    } else {
                        LogTools.addLog("获取用户失败!", ConstValue.LOG_ARCHIVE.UPDATE, "档案补录模块", _logContent, 1, "", _sbOld.toString(), _logContent);
                    }
                    this.commonDao.flush();
                }
                resultMessage.setMsg(String.valueOf(para_qlid) + "," + para_djdyid);
                resultMessage.setSuccess("true");
            } else {
                new StringBuilder();
                String para_qlid2 = "";
                String para_djdyid2 = "";
                String _ywlsh = "";
                if (bdcdyid == null || bdcdyid.equals("") || bdcdyid.equals("undefined")) {
                    resultMessage.setSuccess("false");
                    resultMessage.setMsg("更新失败,获取房屋失败!");
                    return resultMessage;
                }
                House house = (House) this.commonDao.get(House.class, bdcdyid);
                StringBuilder _sbNew2 = new StringBuilder();
                if (house != null) {
                    XMXXSto xmxx = new XMXXSto();
                    xmxx.setXMMC("档案补录-查封补录");
                    xmxx.setYWMC("档案补录-查封补录");
                    xmxx.setDJLX(ConstValue.DJLX.CFDJ.Value);
                    xmxx.setQLLX(ConstValue.QLLX.CFQL.Value);
                    Subject user2 = SecurityUtils.getSubject();
                    User u2 = (User) user2.getPrincipal();
                    if (u2 != null) {
                        _ywlsh = this.basecommonDao2.CreatMaxID(u2.getAreaCode(), "0", "PROLSH");
                        xmxx.setYWLSH(_ywlsh);
                        xmxx.setSLRY(u2.getUserName());
                    }
                    xmxx.setSLSJ(new Date());
                    xmxx.setSFDB("1");
                    xmxx.setYXBZ("2");
                    xmxx.setSFHBGZD("0");
                    xmxx.setId(SuperHelper.GeneratePrimaryKey().toString());
                    this.commonDao.save(xmxx);
                    DJDYSto djdy = new DJDYSto();
                    djdy.setXMBH(xmxx.getId());
                    djdy.setDJLX(ConstValue.DJLX.CFDJ.Value);
                    djdy.setQLLX(ConstValue.QLLX.CFQL.Value);
                    djdy.setDJDYLY(ConstValue.DJDYLY.XZ.Value);
                    djdy.setCREATETIME(new Date());
                    djdy.setISVALID(Integer.valueOf(Integer.parseInt(ConstValue.YXBZ.无效.Value)));
                    djdy.setHouse_ID(house.getId());
                    djdy.setHouse_Code(house.getHouse_Code());
                    djdy.setHouse_Guid(house.getHouse_Guid());
                    djdy.setHouse_Address(house.getHouse_Address());
                    djdy.setBuild_Struct(house.getBuild_Struct());
                    djdy.setBuilding_Number(house.getBuilding_Number());
                    djdy.setDoor_Number(house.getDoor_Number());
                    djdy.setFloor_Count(house.getFloor_Count());
                    djdy.setFloor_Over(house.getFloor_Over());
                    djdy.setFloor_Under(house.getFloor_Under());
                    djdy.setHouse_Code(house.getHouse_Code());
                    djdy.setHouse_FetchType(house.getHouse_FetchType());
                    djdy.setHouse_Type(house.getHouse_Type());
                    djdy.setPreSellRealty_Type(house.getPreSellRealty_Type());
                    djdy.setRealUnit_Number(house.getUnit_Number());
                    djdy.setRealRoom_Number(house.getRoom_Number());
                    djdy.setRealty_Character(house.getRealty_Character());
                    djdy.setRealty_Type(house.getRealty_Type());
                    djdy.setRoom_Type(house.getRoom_Type());
                    djdy.setUse_Design(house.getUse_Design());
                    djdy.setUse_Fact(house.getUse_Fact());
                    djdy.setDivision_Code(house.getDivision_Code());
                    djdy.setSetNum(house.getSetNum());
                    djdy.setResidence_SetNum(house.getResidence_SetNum());
                    djdy.setResidence_BuildArea(house.getResidence_BuildArea());
                    djdy.setNoResidence_BuildArea(house.getNoResidence_BuildArea());
                    djdy.setNoResidence_InsideArea(house.getNoResidence_InsideArea());
                    djdy.setResidence_SetArea(house.getResidence_SetArea());
                    djdy.setNoResidence_SetArea(house.getNoResidence_SetArea());
                    djdy.setResidence_SetInsideArea(house.getResidence_SetInsideArea());
                    djdy.setResidence_NoSetInsideArea(house.getResidence_NoSetInsideArea());
                    if (house.getPeccancy_BuildArea() != null) {
                        djdy.setPeccancy_BuildArea(house.getPeccancy_BuildArea().toString());
                    }
                    djdy.setCover_Area(house.getCover_Area());
                    djdy.setLessStore_Area(house.getLessStore_Area());
                    djdy.setMoreStore_Area(house.getMoreStore_Area());
                    djdy.setBalcony_Num(house.getBalcony_Num());
                    djdy.setBalcony_Area(house.getBalcony_Area());
                    djdy.setIsBuilding(house.getIsBuilding());
                    if (house.getQXFZT().intValue() == 0) {
                        djdy.setDJDYLX(ConstValue.BDCDYLX.YCH.Value);
                        djdy.setRealBuild_Area(house.getPreBuild_Area());
                        djdy.setRealInside_Area(house.getPreInside_Area());
                        djdy.setRealShare_Area(house.getPreShare_Area());
                    } else {
                        djdy.setDJDYLX(ConstValue.BDCDYLX.H.Value);
                        djdy.setRealBuild_Area(house.getRealBuild_Area());
                        djdy.setRealInside_Area(house.getRealInside_Area());
                        djdy.setRealShare_Area(house.getRealShare_Area());
                    }
                    djdy.setISVALID(2);
                    if (object.getString("djsj") != null && !object.getString("djsj").equals("")) {
                        djdy.setDBSJ(sdf.parse(object.getString("djsj")));
                    }
                    djdy.setId(SuperHelper.GeneratePrimaryKey().toString());
                    this.commonDao.save(djdy);
                    if (djdy != null) {
                        CFQLSto ql2 = new CFQLSto();
                        ql2.setXMBH(xmxx.getId());
                        ql2.setQLLX(ConstValue.QLLX.CFQL.Value);
                        ql2.setQLLXMC("查封权利(档案补录)");
                        ql2.setDJLX(ConstValue.DJLX.CFDJ.Value);
                        ql2.setYXBZ(ConstValue.YXBZ.待审核.Value);
                        ql2.setGZDBH(object.getString("gzdbh"));
                        _sbNew2.append(object.getString("gzdbh"));
                        ql2.setBCFQLRMC(object.getString("bcfqlrmc"));
                        _sbNew2.append("||" + object.getString("bcfqlrmc"));
                        ql2.setBCFBDCQZH(object.getString("bcfbdcqzh"));
                        _sbNew2.append("||" + object.getString("bcfbdcqzh"));
                        ql2.setGZDBH(object.getString("gzdbh"));
                        _sbNew2.append("||" + object.getString("gzdbh"));
                        ql2.setCFJG(object.getString("cfjg"));
                        _sbNew2.append("||" + object.getString("cfjg"));
                        ql2.setCFLX(object.getString("cflx"));
                        _sbNew2.append("||" + object.getString("cflx"));
                        ql2.setCFWH(object.getString("cfwh"));
                        _sbNew2.append("||" + object.getString("cfwh"));
                        ql2.setCFWJ(object.getString("cfwj"));
                        _sbNew2.append("||" + object.getString("cfwj"));
                        if (qlqssj != null && !qlqssj.equals("")) {
                            ql2.setQLQSSJ(sdf.parse(qlqssj));
                            _sbNew2.append("||" + qlqssj);
                        }
                        if (qljssj != null && !qljssj.equals("")) {
                            ql2.setQLJSSJ(sdf.parse(qljssj));
                            _sbNew2.append("||" + qljssj);
                        }
                        if (djsj != null && !djsj.equals("")) {
                            ql2.setDJSJ(sdf.parse(djsj));
                            _sbNew2.append("||" + djsj);
                        }
                        ql2.setDBR(object.getString("dbr"));
                        _sbNew2.append("||" + object.getString("dbr"));
                        ql2.setDJJG(object.getString("djjg"));
                        _sbNew2.append("||" + object.getString("djjg"));
                        ql2.setCFFW(object.getString("cffw"));
                        _sbNew2.append("||" + object.getString("cffw"));
                        ql2.setDJYY(object.getString("djyy"));
                        _sbNew2.append("||" + object.getString("djyy"));
                        ql2.setFJ(object.getString("fj"));
                        _sbNew2.append("||" + object.getString("fj"));
                        ql2.setId(SuperHelper.GeneratePrimaryKey().toString());
                        this.commonDao.save(ql2);
                        djdy.setQLID(ql2.getId());
                        this.commonDao.update(djdy);
                        CFQLHis qlHis2 = new CFQLHis();
                        qlHis2.setXMBH(xmxx.getId());
                        qlHis2.setQLLX(ConstValue.QLLX.CFQL.Value);
                        qlHis2.setQLLXMC("查封权利(档案补录)");
                        qlHis2.setDJLX(ConstValue.DJLX.CFDJ.Value);
                        qlHis2.setYXBZ(ConstValue.YXBZ.待审核.Value);
                        qlHis2.setGZDBH(object.getString("gzdbh"));
                        qlHis2.setBCFQLRMC(object.getString("bcfqlrmc"));
                        qlHis2.setBCFBDCQZH(object.getString("bcfbdcqzh"));
                        qlHis2.setGZDBH(object.getString("gzdbh"));
                        qlHis2.setCFJG(object.getString("cfjg"));
                        qlHis2.setCFLX(object.getString("cflx"));
                        qlHis2.setCFWH(object.getString("cfwh"));
                        qlHis2.setCFWJ(object.getString("cfwj"));
                        if (qlqssj != null && !qlqssj.equals("")) {
                            qlHis2.setQLQSSJ(sdf.parse(qlqssj));
                        }
                        if (qljssj != null && !qljssj.equals("")) {
                            qlHis2.setQLJSSJ(sdf.parse(qljssj));
                        }
                        if (djsj != null && !djsj.equals("")) {
                            qlHis2.setDJSJ(sdf.parse(djsj));
                        }
                        qlHis2.setDBR(object.getString("dbr"));
                        qlHis2.setDJJG(object.getString("djjg"));
                        qlHis2.setCFFW(object.getString("cffw"));
                        qlHis2.setDJYY(object.getString("djyy"));
                        qlHis2.setFJ(object.getString("fj"));
                        qlHis2.setId(ql2.getId());
                        this.commonDao.save(qlHis2);
                        para_qlid2 = ql2.getId();
                        para_djdyid2 = ql2.getXMBH();
                    }
                    DJDYHis _djdyLast = null;
                    List<DJDYHis> _djdyListLast = this.baseCommonDao.getDataList(DJDYHis.class, " house_ID='" + house.getId() + "' and qLLX=10 order by dBSJ desc");
                    if (_djdyListLast != null && _djdyListLast.size() > 0) {
                        try {
                            if (_djdyListLast.get(0) != null) {
                                _djdyLast = _djdyListLast.get(0);
                            }
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                        if (_djdyLast != null) {
                            QLLYSto qlly = new QLLYSto();
                            qlly.setDJDYID(djdy.getId());
                            qlly.setQLLX(djdy.getQLLX());
                            qlly.setOLDQLID(_djdyLast.getQLID());
                            qlly.setOLDQLLX(_djdyLast.getQLLX());
                            qlly.setId(SuperHelper.GeneratePrimaryKey().toString());
                            this.commonDao.save(qlly);
                            QLGXSto qlgx = new QLGXSto();
                            qlgx.setXMBH(_djdyLast.getXMBH());
                            qlgx.setQLLX(_djdyLast.getQLLX());
                            qlgx.setQLID(_djdyLast.getQLID());
                            qlgx.setDJSJ(_djdyLast.getDBSJ());
                            qlgx.setXQLID(djdy.getQLID());
                            qlgx.setXDJSJ(djdy.getDBSJ());
                            qlgx.setXQLLX(djdy.getQLLX());
                            qlgx.setXXMBH(djdy.getXMBH());
                            qlgx.setCREATETIME(new Date());
                            qlgx.setBZ("档案补录-查封权");
                            qlgx.setId(SuperHelper.GeneratePrimaryKey().toString());
                            this.commonDao.save(qlgx);
                        }
                    }
                    DJDYHis djdyHis = new DJDYHis();
                    djdyHis.setXMBH(xmxx.getId());
                    djdyHis.setDJLX(ConstValue.DJLX.CFDJ.Value);
                    djdyHis.setQLLX(ConstValue.QLLX.CFQL.Value);
                    djdyHis.setDJDYLY(ConstValue.DJDYLY.XZ.Value);
                    djdyHis.setCREATETIME(new Date());
                    djdyHis.setISVALID(Integer.valueOf(Integer.parseInt(ConstValue.YXBZ.无效.Value)));
                    djdyHis.setHouse_ID(house.getId());
                    djdyHis.setHouse_Code(house.getHouse_Code());
                    djdyHis.setHouse_Guid(house.getHouse_Guid());
                    djdyHis.setHouse_Address(house.getHouse_Address());
                    djdyHis.setBuild_Struct(house.getBuild_Struct());
                    djdyHis.setBuilding_Number(house.getBuilding_Number());
                    djdyHis.setDoor_Number(house.getDoor_Number());
                    djdyHis.setFloor_Count(house.getFloor_Count());
                    djdyHis.setFloor_Over(house.getFloor_Over());
                    djdyHis.setFloor_Under(house.getFloor_Under());
                    djdyHis.setHouse_Code(house.getHouse_Code());
                    djdyHis.setHouse_FetchType(house.getHouse_FetchType());
                    djdyHis.setHouse_Type(house.getHouse_Type());
                    djdyHis.setPreSellRealty_Type(house.getPreSellRealty_Type());
                    djdyHis.setRealUnit_Number(house.getUnit_Number());
                    djdyHis.setRealRoom_Number(house.getRoom_Number());
                    djdyHis.setRealty_Character(house.getRealty_Character());
                    djdyHis.setRealty_Type(house.getRealty_Type());
                    djdyHis.setRoom_Type(house.getRoom_Type());
                    djdyHis.setUse_Design(house.getUse_Design());
                    djdyHis.setUse_Fact(house.getUse_Fact());
                    djdyHis.setDivision_Code(house.getDivision_Code());
                    djdyHis.setSetNum(house.getSetNum());
                    djdyHis.setResidence_SetNum(house.getResidence_SetNum());
                    djdyHis.setResidence_BuildArea(house.getResidence_BuildArea());
                    djdyHis.setNoResidence_BuildArea(house.getNoResidence_BuildArea());
                    djdyHis.setNoResidence_InsideArea(house.getNoResidence_InsideArea());
                    djdyHis.setResidence_SetArea(house.getResidence_SetArea());
                    djdyHis.setNoResidence_SetArea(house.getNoResidence_SetArea());
                    djdyHis.setResidence_SetInsideArea(house.getResidence_SetInsideArea());
                    djdyHis.setResidence_NoSetInsideArea(house.getResidence_NoSetInsideArea());
                    if (house.getPeccancy_BuildArea() != null) {
                        djdyHis.setPeccancy_BuildArea(house.getPeccancy_BuildArea().toString());
                    }
                    djdyHis.setCover_Area(house.getCover_Area());
                    djdyHis.setLessStore_Area(house.getLessStore_Area());
                    djdyHis.setMoreStore_Area(house.getMoreStore_Area());
                    djdyHis.setBalcony_Num(house.getBalcony_Num());
                    djdyHis.setBalcony_Area(house.getBalcony_Area());
                    djdyHis.setIsBuilding(house.getIsBuilding());
                    if (house.getQXFZT().intValue() == 0) {
                        djdyHis.setDJDYLX(ConstValue.BDCDYLX.YCH.Value);
                        djdyHis.setRealBuild_Area(house.getPreBuild_Area());
                        djdyHis.setRealInside_Area(house.getPreInside_Area());
                        djdyHis.setRealShare_Area(house.getPreShare_Area());
                    } else {
                        djdyHis.setDJDYLX(ConstValue.BDCDYLX.H.Value);
                        djdyHis.setRealBuild_Area(house.getRealBuild_Area());
                        djdyHis.setRealInside_Area(house.getRealInside_Area());
                        djdyHis.setRealShare_Area(house.getRealShare_Area());
                    }
                    if (djsj != null && !djsj.equals("")) {
                        djdyHis.setDBSJ(sdf.parse(djsj));
                    }
                    djdyHis.setId(djdy.getId());
                    djdyHis.setQLID(djdy.getQLID());
                    djdyHis.setISVALID(2);
                    this.commonDao.save(djdyHis);
                }
                this.commonDao.flush();
                resultMessage.setSuccess("true");
                resultMessage.setMsg(String.valueOf(para_qlid2) + "," + para_djdyid2 + "," + _ywlsh);
                if (GetProperties.getConstValueByKey("isOpenLogOnAJ") != null && GetProperties.getConstValueByKey("isOpenLogOnAJ").equals("true")) {
                    String _logContent2 = "档案补录,新增查封权,参数：" + _sbNew2.toString();
                    Subject user3 = SecurityUtils.getSubject();
                    User u3 = (User) user3.getPrincipal();
                    if (u3 != null) {
                        LogTools.addLog(u3.getUserName(), ConstValue.LOG_ARCHIVE.ADD, "档案补录模块", _logContent2, 1, "", "", _logContent2);
                    } else {
                        LogTools.addLog("获取用户失败!", ConstValue.LOG_ARCHIVE.ADD, "档案补录模块", _logContent2, 1, "", "", _logContent2);
                    }
                    this.commonDao.flush();
                }
            }
        } catch (Exception ex) {
            System.out.println(ex.getMessage());
            if (GetProperties.getConstValueByKey("isOpenLogOnAJ") != null && GetProperties.getConstValueByKey("isOpenLogOnAJ").equals("true")) {
                String _logContent3 = "档案补录,新增查封权,出错：" + ex.getMessage();
                Subject user4 = SecurityUtils.getSubject();
                User u4 = (User) user4.getPrincipal();
                if (u4 != null) {
                    LogTools.addLog(u4.getUserName(), ConstValue.LOG_ARCHIVE.ADD, "档案补录模块", _logContent3, 0, "", "", _logContent3);
                } else {
                    LogTools.addLog("获取用户失败!", ConstValue.LOG_ARCHIVE.ADD, "档案补录模块", _logContent3, 0, "", "", _logContent3);
                }
                this.commonDao.flush();
            }
        }
        return resultMessage;
    }

    public ResultMessage updateYyxxInfo(String qlid, String xmbh, String bdcdyid, JSONObject object) {
        ResultMessage resultMessage = new ResultMessage();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        String qlqssj = object.getString("qlqssj");
        String qljssj = object.getString("qljssj");
        String djsj = object.getString("djsj");
        try {
            if (!qlid.equals("-99999")) {
                String para_qlid = "";
                String para_djdyid = "";
                StringBuilder _sbOld = new StringBuilder();
                StringBuilder _sbNew = new StringBuilder();
                YYQLSto ql = (YYQLSto) this.commonDao.get(YYQLSto.class, qlid);
                if (ql != null) {
                    _sbOld.append("||" + ql.getGZDBH());
                    ql.setGZDBH(object.getString("gzdbh"));
                    _sbNew.append(object.getString("gzdbh"));
                    _sbOld.append("||" + ql.getYYSX());
                    ql.setYYSX(object.getString("yysx"));
                    _sbNew.append("||" + object.getString("yysx"));
                    if (qlqssj != null && !qlqssj.equals("")) {
                        _sbOld.append("||" + ql.getQLQSSJ());
                        ql.setQLQSSJ(sdf.parse(qlqssj));
                        _sbNew.append("||" + qlqssj);
                    }
                    if (qljssj != null && !qljssj.equals("")) {
                        _sbOld.append("||" + ql.getQLJSSJ());
                        ql.setQLJSSJ(sdf.parse(qljssj));
                        _sbNew.append("||" + qljssj);
                    }
                    if (djsj != null && !djsj.equals("")) {
                        _sbOld.append("||" + ql.getDJSJ());
                        ql.setDJSJ(sdf.parse(djsj));
                        _sbNew.append("||" + djsj);
                    }
                    _sbOld.append("||" + ql.getDBR());
                    ql.setDBR(object.getString("dbr"));
                    _sbNew.append("||" + object.getString("dbr"));
                    _sbOld.append("||" + ql.getDJJG());
                    ql.setDJJG(object.getString("djjg"));
                    _sbNew.append("||" + object.getString("djjg"));
                    _sbOld.append("||" + ql.getDJYY());
                    ql.setDJYY(object.getString("djyy"));
                    _sbNew.append("||" + object.getString("djyy"));
                    _sbOld.append("||" + ql.getFJ());
                    ql.setFJ(object.getString("fj"));
                    _sbNew.append("||" + object.getString("fj"));
                    _sbOld.append("||" + ql.getBZ());
                    ql.setBZ(object.getString("bz"));
                    _sbNew.append("||" + object.getString("bz"));
                    this.commonDao.update(ql);
                    this.commonDao.flush();
                    YYQLHis qlHis = (YYQLHis) this.commonDao.get(YYQLHis.class, qlid);
                    if (qlHis != null) {
                        qlHis.setGZDBH(object.getString("gzdbh"));
                        qlHis.setYYSX(object.getString("yysx"));
                        if (qlqssj != null && !qlqssj.equals("")) {
                            qlHis.setQLQSSJ(sdf.parse(qlqssj));
                        }
                        if (qljssj != null && !qljssj.equals("")) {
                            qlHis.setQLJSSJ(sdf.parse(qljssj));
                        }
                        if (djsj != null && !djsj.equals("")) {
                            qlHis.setDJSJ(sdf.parse(djsj));
                        }
                        qlHis.setDBR(object.getString("dbr"));
                        qlHis.setDJJG(object.getString("djjg"));
                        qlHis.setDJYY(object.getString("djyy"));
                        qlHis.setFJ(object.getString("fj"));
                        qlHis.setBZ(object.getString("bz"));
                        this.commonDao.update(qlHis);
                        this.commonDao.flush();
                        para_qlid = ql.getId();
                        para_djdyid = ql.getXMBH();
                    }
                }
                if (GetProperties.getConstValueByKey("isOpenLogOnAJ") != null && GetProperties.getConstValueByKey("isOpenLogOnAJ").equals("true")) {
                    String _logContent = "档案补录,更新异议权,参数：" + _sbNew.toString();
                    Subject user = SecurityUtils.getSubject();
                    User u = (User) user.getPrincipal();
                    if (u != null) {
                        LogTools.addLog(u.getUserName(), ConstValue.LOG_ARCHIVE.UPDATE, "档案补录模块", _logContent, 1, "", _sbOld.toString(), _logContent);
                    } else {
                        LogTools.addLog("获取用户失败!", ConstValue.LOG_ARCHIVE.UPDATE, "档案补录模块", _logContent, 1, "", _sbOld.toString(), _logContent);
                    }
                    this.commonDao.flush();
                }
                resultMessage.setMsg(String.valueOf(para_qlid) + "," + para_djdyid);
                resultMessage.setSuccess("true");
            } else {
                new StringBuilder();
                String para_qlid2 = "";
                String para_djdyid2 = "";
                String _ywlsh = "";
                if (bdcdyid == null || bdcdyid.equals("") || bdcdyid.equals("undefined")) {
                    resultMessage.setSuccess("false");
                    resultMessage.setMsg("更新失败,获取房屋失败!");
                    return resultMessage;
                }
                House house = (House) this.commonDao.get(House.class, bdcdyid);
                StringBuilder _sbNew2 = new StringBuilder();
                if (house != null) {
                    XMXXSto xmxx = new XMXXSto();
                    xmxx.setXMMC("档案补录-异议补录");
                    xmxx.setYWMC("档案补录-异议补录");
                    xmxx.setDJLX(ConstValue.DJLX.YYDJ.Value);
                    xmxx.setQLLX(ConstValue.QLLX.YYQL.Value);
                    Subject user2 = SecurityUtils.getSubject();
                    User u2 = (User) user2.getPrincipal();
                    if (u2 != null) {
                        _ywlsh = this.basecommonDao2.CreatMaxID(u2.getAreaCode(), "0", "PROLSH");
                        xmxx.setYWLSH(_ywlsh);
                        xmxx.setSLRY(u2.getUserName());
                    }
                    xmxx.setSLSJ(new Date());
                    xmxx.setSFDB("1");
                    xmxx.setYXBZ("2");
                    xmxx.setSFHBGZD("0");
                    xmxx.setId(SuperHelper.GeneratePrimaryKey().toString());
                    this.commonDao.save(xmxx);
                    DJDYSto djdy = new DJDYSto();
                    djdy.setXMBH(xmxx.getId());
                    djdy.setDJLX(ConstValue.DJLX.YYDJ.Value);
                    djdy.setQLLX(ConstValue.QLLX.YYQL.Value);
                    djdy.setDJDYLY(ConstValue.DJDYLY.XZ.Value);
                    djdy.setCREATETIME(new Date());
                    djdy.setISVALID(Integer.valueOf(Integer.parseInt(ConstValue.YXBZ.无效.Value)));
                    djdy.setHouse_ID(house.getId());
                    djdy.setHouse_Code(house.getHouse_Code());
                    djdy.setHouse_Guid(house.getHouse_Guid());
                    djdy.setHouse_Address(house.getHouse_Address());
                    djdy.setBuild_Struct(house.getBuild_Struct());
                    djdy.setBuilding_Number(house.getBuilding_Number());
                    djdy.setDoor_Number(house.getDoor_Number());
                    djdy.setFloor_Count(house.getFloor_Count());
                    djdy.setFloor_Over(house.getFloor_Over());
                    djdy.setFloor_Under(house.getFloor_Under());
                    djdy.setHouse_Code(house.getHouse_Code());
                    djdy.setHouse_FetchType(house.getHouse_FetchType());
                    djdy.setHouse_Type(house.getHouse_Type());
                    djdy.setPreSellRealty_Type(house.getPreSellRealty_Type());
                    djdy.setRealUnit_Number(house.getUnit_Number());
                    djdy.setRealRoom_Number(house.getRoom_Number());
                    djdy.setRealty_Character(house.getRealty_Character());
                    djdy.setRealty_Type(house.getRealty_Type());
                    djdy.setRoom_Type(house.getRoom_Type());
                    djdy.setUse_Design(house.getUse_Design());
                    djdy.setUse_Fact(house.getUse_Fact());
                    djdy.setDivision_Code(house.getDivision_Code());
                    djdy.setSetNum(house.getSetNum());
                    djdy.setResidence_SetNum(house.getResidence_SetNum());
                    djdy.setResidence_BuildArea(house.getResidence_BuildArea());
                    djdy.setNoResidence_BuildArea(house.getNoResidence_BuildArea());
                    djdy.setNoResidence_InsideArea(house.getNoResidence_InsideArea());
                    djdy.setResidence_SetArea(house.getResidence_SetArea());
                    djdy.setNoResidence_SetArea(house.getNoResidence_SetArea());
                    djdy.setResidence_SetInsideArea(house.getResidence_SetInsideArea());
                    djdy.setResidence_NoSetInsideArea(house.getResidence_NoSetInsideArea());
                    if (house.getPeccancy_BuildArea() != null) {
                        djdy.setPeccancy_BuildArea(house.getPeccancy_BuildArea().toString());
                    }
                    djdy.setCover_Area(house.getCover_Area());
                    djdy.setLessStore_Area(house.getLessStore_Area());
                    djdy.setMoreStore_Area(house.getMoreStore_Area());
                    djdy.setBalcony_Num(house.getBalcony_Num());
                    djdy.setBalcony_Area(house.getBalcony_Area());
                    djdy.setIsBuilding(house.getIsBuilding());
                    if (house.getQXFZT().intValue() == 0) {
                        djdy.setDJDYLX(ConstValue.BDCDYLX.YCH.Value);
                        djdy.setRealBuild_Area(house.getPreBuild_Area());
                        djdy.setRealInside_Area(house.getPreInside_Area());
                        djdy.setRealShare_Area(house.getPreShare_Area());
                    } else {
                        djdy.setDJDYLX(ConstValue.BDCDYLX.H.Value);
                        djdy.setRealBuild_Area(house.getRealBuild_Area());
                        djdy.setRealInside_Area(house.getRealInside_Area());
                        djdy.setRealShare_Area(house.getRealShare_Area());
                    }
                    djdy.setISVALID(2);
                    if (object.getString("djsj") != null && !object.getString("djsj").equals("")) {
                        djdy.setDBSJ(sdf.parse(object.getString("djsj")));
                    }
                    djdy.setId(SuperHelper.GeneratePrimaryKey().toString());
                    this.commonDao.save(djdy);
                    if (djdy != null) {
                        YYQLSto ql2 = new YYQLSto();
                        ql2.setXMBH(xmxx.getId());
                        ql2.setQLLX(ConstValue.QLLX.YYQL.Value);
                        ql2.setQLLXMC("异议权利(档案补录)");
                        ql2.setDJLX(ConstValue.DJLX.YYDJ.Value);
                        ql2.setYXBZ(ConstValue.YXBZ.待审核.Value);
                        ql2.setGZDBH(object.getString("gzdbh"));
                        _sbNew2.append(object.getString("gzdbh"));
                        ql2.setYYSX(object.getString("yysx"));
                        _sbNew2.append("||" + object.getString("yysx"));
                        if (qlqssj != null && !qlqssj.equals("")) {
                            ql2.setQLQSSJ(sdf.parse(qlqssj));
                            _sbNew2.append("||" + qlqssj);
                        }
                        if (qljssj != null && !qljssj.equals("")) {
                            ql2.setQLJSSJ(sdf.parse(qljssj));
                            _sbNew2.append("||" + qljssj);
                        }
                        if (djsj != null && !djsj.equals("")) {
                            ql2.setDJSJ(sdf.parse(djsj));
                            _sbNew2.append("||" + djsj);
                        }
                        ql2.setDBR(object.getString("dbr"));
                        _sbNew2.append("||" + object.getString("dbr"));
                        ql2.setDJJG(object.getString("djjg"));
                        _sbNew2.append("||" + object.getString("djjg"));
                        ql2.setDJYY(object.getString("djyy"));
                        _sbNew2.append("||" + object.getString("djyy"));
                        ql2.setFJ(object.getString("fj"));
                        _sbNew2.append("||" + object.getString("fj"));
                        ql2.setBZ(object.getString("bz"));
                        _sbNew2.append("||" + object.getString("bz"));
                        ql2.setId(SuperHelper.GeneratePrimaryKey().toString());
                        this.commonDao.save(ql2);
                        djdy.setQLID(ql2.getId());
                        this.commonDao.update(djdy);
                        YYQLHis qlHis2 = new YYQLHis();
                        qlHis2.setXMBH(xmxx.getId());
                        qlHis2.setQLLX(ConstValue.QLLX.YYQL.Value);
                        qlHis2.setQLLXMC("异议权利(档案补录)");
                        qlHis2.setDJLX(ConstValue.DJLX.YYDJ.Value);
                        qlHis2.setYXBZ(ConstValue.YXBZ.待审核.Value);
                        qlHis2.setGZDBH(object.getString("gzdbh"));
                        qlHis2.setYYSX(object.getString("yysx"));
                        if (qlqssj != null && !qlqssj.equals("")) {
                            qlHis2.setQLQSSJ(sdf.parse(qlqssj));
                        }
                        if (qljssj != null && !qljssj.equals("")) {
                            qlHis2.setQLJSSJ(sdf.parse(qljssj));
                        }
                        if (djsj != null && !djsj.equals("")) {
                            qlHis2.setDJSJ(sdf.parse(djsj));
                        }
                        qlHis2.setDBR(object.getString("dbr"));
                        qlHis2.setDJJG(object.getString("djjg"));
                        qlHis2.setDJYY(object.getString("djyy"));
                        qlHis2.setFJ(object.getString("fj"));
                        qlHis2.setBZ(object.getString("bz"));
                        qlHis2.setId(ql2.getId());
                        this.commonDao.save(qlHis2);
                        para_qlid2 = ql2.getId();
                        para_djdyid2 = ql2.getXMBH();
                    }
                    DJDYHis _djdyLast = null;
                    List<DJDYHis> _djdyListLast = this.baseCommonDao.getDataList(DJDYHis.class, " house_ID='" + house.getId() + "' and qLLX=10 order by dBSJ desc");
                    if (_djdyListLast != null && _djdyListLast.size() > 0) {
                        try {
                            if (_djdyListLast.get(0) != null) {
                                _djdyLast = _djdyListLast.get(0);
                            }
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                        if (_djdyLast != null) {
                            QLLYSto qlly = new QLLYSto();
                            qlly.setDJDYID(djdy.getId());
                            qlly.setQLLX(djdy.getQLLX());
                            qlly.setOLDQLID(_djdyLast.getQLID());
                            qlly.setOLDQLLX(_djdyLast.getQLLX());
                            qlly.setId(SuperHelper.GeneratePrimaryKey().toString());
                            this.commonDao.save(qlly);
                            QLGXSto qlgx = new QLGXSto();
                            qlgx.setXMBH(_djdyLast.getXMBH());
                            qlgx.setQLLX(_djdyLast.getQLLX());
                            qlgx.setQLID(_djdyLast.getQLID());
                            qlgx.setDJSJ(_djdyLast.getDBSJ());
                            qlgx.setXQLID(djdy.getQLID());
                            qlgx.setXDJSJ(djdy.getDBSJ());
                            qlgx.setXQLLX(djdy.getQLLX());
                            qlgx.setXXMBH(djdy.getXMBH());
                            qlgx.setCREATETIME(new Date());
                            qlgx.setBZ("档案补录-异议权");
                            qlgx.setId(SuperHelper.GeneratePrimaryKey().toString());
                            this.commonDao.save(qlgx);
                        }
                    }
                    DJDYHis djdyHis = new DJDYHis();
                    djdyHis.setXMBH(xmxx.getId());
                    djdyHis.setDJLX(ConstValue.DJLX.YYDJ.Value);
                    djdyHis.setQLLX(ConstValue.QLLX.YYQL.Value);
                    djdyHis.setDJDYLY(ConstValue.DJDYLY.XZ.Value);
                    djdyHis.setCREATETIME(new Date());
                    djdyHis.setISVALID(Integer.valueOf(Integer.parseInt(ConstValue.YXBZ.无效.Value)));
                    djdyHis.setHouse_ID(house.getId());
                    djdyHis.setHouse_Code(house.getHouse_Code());
                    djdyHis.setHouse_Guid(house.getHouse_Guid());
                    djdyHis.setHouse_Address(house.getHouse_Address());
                    djdyHis.setBuild_Struct(house.getBuild_Struct());
                    djdyHis.setBuilding_Number(house.getBuilding_Number());
                    djdyHis.setDoor_Number(house.getDoor_Number());
                    djdyHis.setFloor_Count(house.getFloor_Count());
                    djdyHis.setFloor_Over(house.getFloor_Over());
                    djdyHis.setFloor_Under(house.getFloor_Under());
                    djdyHis.setHouse_Code(house.getHouse_Code());
                    djdyHis.setHouse_FetchType(house.getHouse_FetchType());
                    djdyHis.setHouse_Type(house.getHouse_Type());
                    djdyHis.setPreSellRealty_Type(house.getPreSellRealty_Type());
                    djdyHis.setRealUnit_Number(house.getUnit_Number());
                    djdyHis.setRealRoom_Number(house.getRoom_Number());
                    djdyHis.setRealty_Character(house.getRealty_Character());
                    djdyHis.setRealty_Type(house.getRealty_Type());
                    djdyHis.setRoom_Type(house.getRoom_Type());
                    djdyHis.setUse_Design(house.getUse_Design());
                    djdyHis.setUse_Fact(house.getUse_Fact());
                    djdyHis.setDivision_Code(house.getDivision_Code());
                    djdyHis.setSetNum(house.getSetNum());
                    djdyHis.setResidence_SetNum(house.getResidence_SetNum());
                    djdyHis.setResidence_BuildArea(house.getResidence_BuildArea());
                    djdyHis.setNoResidence_BuildArea(house.getNoResidence_BuildArea());
                    djdyHis.setNoResidence_InsideArea(house.getNoResidence_InsideArea());
                    djdyHis.setResidence_SetArea(house.getResidence_SetArea());
                    djdyHis.setNoResidence_SetArea(house.getNoResidence_SetArea());
                    djdyHis.setResidence_SetInsideArea(house.getResidence_SetInsideArea());
                    djdyHis.setResidence_NoSetInsideArea(house.getResidence_NoSetInsideArea());
                    if (house.getPeccancy_BuildArea() != null) {
                        djdyHis.setPeccancy_BuildArea(house.getPeccancy_BuildArea().toString());
                    }
                    djdyHis.setCover_Area(house.getCover_Area());
                    djdyHis.setLessStore_Area(house.getLessStore_Area());
                    djdyHis.setMoreStore_Area(house.getMoreStore_Area());
                    djdyHis.setBalcony_Num(house.getBalcony_Num());
                    djdyHis.setBalcony_Area(house.getBalcony_Area());
                    djdyHis.setIsBuilding(house.getIsBuilding());
                    if (house.getQXFZT().intValue() == 0) {
                        djdyHis.setDJDYLX(ConstValue.BDCDYLX.YCH.Value);
                        djdyHis.setRealBuild_Area(house.getPreBuild_Area());
                        djdyHis.setRealInside_Area(house.getPreInside_Area());
                        djdyHis.setRealShare_Area(house.getPreShare_Area());
                    } else {
                        djdyHis.setDJDYLX(ConstValue.BDCDYLX.H.Value);
                        djdyHis.setRealBuild_Area(house.getRealBuild_Area());
                        djdyHis.setRealInside_Area(house.getRealInside_Area());
                        djdyHis.setRealShare_Area(house.getRealShare_Area());
                    }
                    if (djsj != null && !djsj.equals("")) {
                        djdyHis.setDBSJ(sdf.parse(djsj));
                    }
                    djdyHis.setId(djdy.getId());
                    djdyHis.setQLID(djdy.getQLID());
                    djdyHis.setISVALID(2);
                    this.commonDao.save(djdyHis);
                }
                this.commonDao.flush();
                resultMessage.setSuccess("true");
                resultMessage.setMsg(String.valueOf(para_qlid2) + "," + para_djdyid2 + "," + _ywlsh);
                if (GetProperties.getConstValueByKey("isOpenLogOnAJ") != null && GetProperties.getConstValueByKey("isOpenLogOnAJ").equals("true")) {
                    String _logContent2 = "档案补录,新增异议权,参数：" + _sbNew2.toString();
                    Subject user3 = SecurityUtils.getSubject();
                    User u3 = (User) user3.getPrincipal();
                    if (u3 != null) {
                        LogTools.addLog(u3.getUserName(), ConstValue.LOG_ARCHIVE.ADD, "档案补录模块", _logContent2, 1, "", "", _logContent2);
                    } else {
                        LogTools.addLog("获取用户失败!", ConstValue.LOG_ARCHIVE.ADD, "档案补录模块", _logContent2, 1, "", "", _logContent2);
                    }
                    this.commonDao.flush();
                }
            }
        } catch (Exception ex) {
            System.out.println(ex.getMessage());
            if (GetProperties.getConstValueByKey("isOpenLogOnAJ") != null && GetProperties.getConstValueByKey("isOpenLogOnAJ").equals("true")) {
                String _logContent3 = "档案补录,新增异议权,出错：" + ex.getMessage();
                Subject user4 = SecurityUtils.getSubject();
                User u4 = (User) user4.getPrincipal();
                if (u4 != null) {
                    LogTools.addLog(u4.getUserName(), ConstValue.LOG_ARCHIVE.ADD, "档案补录模块", _logContent3, 0, "", "", _logContent3);
                } else {
                    LogTools.addLog("获取用户失败!", ConstValue.LOG_ARCHIVE.ADD, "档案补录模块", _logContent3, 0, "", "", _logContent3);
                }
                this.commonDao.flush();
            }
        }
        return resultMessage;
    }

    public ResultMessage SaveQlInfoYG(String xmbh, String qlid, String bdcdyid, JSONObject object) {
        return null;
    }

    public Message getHouseSearchList(int page, int size, String IsBlur, Map<String, String> listPara, String qxfzt, String buildArea, String dataSource, String IsReverse, String orderType) {
        List<Map> _listAuthority;
        List<Map> _codeList;
        Message ms = new Message();
        ms.setSuccess("false");
        try {
            StringBuilder sql = new StringBuilder();
            String _sqlfrom = " from SMRIGHT_STO.T_HOUSE AA,SMRIGHT_STO.v_houseSYQList BB ";
            String orderStr = "";
            if (buildArea != null) {
                if (IsBlur.equals("1")) {
                    if (qxfzt == null || !qxfzt.equals("5") || buildArea == null || buildArea.equals("")) {
                        if (qxfzt != null && qxfzt.equals("1") && buildArea != null && !buildArea.equals("")) {
                            if (buildArea != null && !buildArea.equals("")) {
                                sql.append(" and AA.PREBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=0");
                            }
                        } else if (buildArea != null && !buildArea.equals("")) {
                            sql.append(" and (AA.PREBUILD_AREA like '%" + buildArea + "%' or AA.REALBUILD_AREA like '%" + buildArea + "%')");
                        }
                    } else if (buildArea != null && !buildArea.equals("")) {
                        sql.append(" and AA.REALBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=5");
                    }
                } else if (qxfzt == null || !qxfzt.equals("5") || buildArea == null || buildArea.equals("")) {
                    if (qxfzt != null && qxfzt.equals("1") && buildArea != null && !buildArea.equals("")) {
                        if (buildArea != null && !buildArea.equals("")) {
                            sql.append(" and AA.PREBUILD_AREA = '" + buildArea + "' and AA.QXFZT=0");
                        }
                    } else if (buildArea != null && !buildArea.equals("")) {
                        sql.append(" and (AA.PREBUILD_AREA = '" + buildArea + "' or AA.REALBUILD_AREA = '" + buildArea + "')");
                    }
                } else if (buildArea != null && !buildArea.equals("")) {
                    sql.append(" and AA.REALBUILD_AREA = '" + buildArea + "' and AA.QXFZT=5");
                }
            }
            if (listPara != null && listPara.size() > 0) {
                Iterator iter = listPara.entrySet().iterator();
                if (IsBlur.equals("1")) {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry = iter.next();
                        Object key = entry.getKey();
                        Object val = entry.getValue();
                        if (val != null && !val.equals("")) {
                            sql.append(" and " + key + " like '%" + val + "%'");
                        }
                    }
                } else {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry2 = iter.next();
                        Object key2 = entry2.getKey();
                        Object val2 = entry2.getValue();
                        if (val2 != null && !val2.equals("")) {
                            sql.append(" and " + key2 + " = '" + val2 + "'");
                        }
                    }
                }
            }
            if (GetProperties.getConstValueByKey("isDivision") != null && GetProperties.getConstValueByKey("isDivision").equals("true")) {
                Subject user = SecurityUtils.getSubject();
                User u = (User) user.getPrincipal();
                System.out.println("用户: " + u);
                System.out.println("权限: " + u.getCityAuthority());
                if (u != null && u.getId() != null && !u.getId().equals("") && (_listAuthority = this.commonDao.getDataListByFullSql("select USER_CITYAUTHORITY,USER_ENABLEDCITYAUTHORITY from SMWB_FRAMEWORK.T_USER where ID ='" + u.getId() + "'")) != null && _listAuthority.size() > 0) {
                    if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_CITYAUTHORITY") != null) {
                        String[] _dvCode = _listAuthority.get(0).get("USER_CITYAUTHORITY").toString().split(",");
                        String _joinCode = "";
                        for (String _item : _dvCode) {
                            _joinCode = String.valueOf(_joinCode) + ",'" + _item + "'";
                        }
                        if (_joinCode != null && _joinCode.length() > 0) {
                            sql.append(" and AA.DIVISION_CODE in (" + _joinCode.substring(1) + ")");
                        }
                    } else if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY") != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY").toString().equals("0") && (_codeList = this.commonDao.getDataListByFullSql("select FIELDENUM_VALUE from SMWB_SUPPORT.T_FIELDENUM  where FIELDEXPLAIN_ID in( select FIELDEXPLAIN_ID  from SMWB_SUPPORT.T_FIELDEXPLAIN where FIELDEXPLAIN_FIELD='DIVISION_CODE')")) != null && _codeList.size() > 0) {
                        StringBuilder _sbDv = new StringBuilder();
                        for (Map dv : _codeList) {
                            if (dv.get("FIELDENUM_VALUE") != null && !dv.get("FIELDENUM_VALUE").equals("")) {
                                _sbDv.append("," + dv.get("FIELDENUM_VALUE").toString());
                            }
                        }
                        if (_sbDv.toString() != null && !_sbDv.toString().equals("")) {
                            String _strDv = _sbDv.toString().substring(1);
                            sql.append(" and AA.DIVISION_CODE in (" + _strDv + ")");
                        }
                    }
                }
            }
            if (dataSource != null && !StringHelper.isEmpty(dataSource) && dataSource.equals("his")) {
                _sqlfrom = " from SMRIGHT_HIS.T_HOUSE AA,SMRIGHT_HIS.v_houseSYQList BB ";
            }
            if (orderType != null && StringHelper.isEmpty(orderType) && IsReverse != null && StringHelper.isEmpty(IsReverse)) {
                orderStr = IsReverse.equals("1") ? " order by " + orderType + " asc" : " order by " + orderType + " desc";
            }
            long count = this.baseCommonDao.getCountByFullSql(" " + _sqlfrom + " where  AA.HOUSE_ID=bb.HOUSE_ID(+) and (AA.YXBZ is null or AA.YXBZ=1) and (BB.YXBZ is null or BB.YXBZ=1) " + ((Object) sql) + orderStr);
            if (count > 0) {
                List<Map> _list = this.baseCommonDao.getPageDataByFullSql("select AA.BLZT,AA.DYZT,AA.CFZT,AA.DYYG,AA.CQYG,AA.YYZT,AA.ZXZT,AA.KFJ,AA.GSZT,AA.ZLZT,AA.CHAIQZT,AA.HOUSE_ID,AA.BUILDING_ID,AA.HOUSE_ADDRESS,AA.BUILDING_NUMBER, AA.BUILD_STRUCT,AA.USE_FACT,AA.REALBUILD_AREA,AA.PREBUILD_AREA,BB.QLRMC,BB.BDCQZH " + _sqlfrom + " where  AA.HOUSE_ID=bb.HOUSE_ID(+) and (AA.YXBZ is null or AA.YXBZ=1) and (BB.YXBZ is null or BB.YXBZ=1) " + ((Object) sql) + orderStr, page, size);
                if (_list != null && _list.size() > 0) {
                    for (Map mm : _list) {
                        if (mm.get("BUILD_STRUCT") != null && !StringHelper.isEmpty(mm.get("BUILD_STRUCT").toString())) {
                            String struct = FieldEnumHelper.getNameByValue("BUILD_STRUCT", mm.get("BUILD_STRUCT").toString());
                            if (StringHelper.isEmpty(struct) || !StringUtils.hasLength(struct)) {
                                struct = StringHelper.FormatByDatatype(mm.get("BUILD_STRUCT"));
                            }
                            mm.put("BUILD_STRUCT_ENUM", struct);
                        }
                        if (mm.get("USE_FACT") != null && !StringHelper.isEmpty(mm.get("USE_FACT").toString())) {
                            String struct2 = FieldEnumHelper.getNameByValue("USE_FACT", mm.get("USE_FACT").toString());
                            if (StringHelper.isEmpty(struct2) || !StringUtils.hasLength(struct2)) {
                                struct2 = StringHelper.FormatByDatatype(mm.get("USE_FACT"));
                            }
                            mm.put("USE_FACT_ENUM", struct2);
                        }
                    }
                    ms.setRows(_list);
                    ms.setTotal(count);
                    ms.setSuccess("true");
                }
            } else {
                ms.setTotal(0L);
                ms.setRows((List) null);
            }
        } catch (Exception e) {
            ms.setSuccess("false");
        }
        return ms;
    }

    public Message getHouseSearchManualList(int page, int size, String IsBlur, Map<String, String> listPara, String qxfzt, String buildArea, String dataSource, String IsReverse, String orderType) {
        List<Map> _listAuthority;
        List<Map> _codeList;
        Message ms = new Message();
        ms.setSuccess("false");
        try {
            StringBuilder sql = new StringBuilder();
            String _sqlfrom = " from SMRIGHT_STO.T_HOUSE AA,SMRIGHT_STO.v_houseSYQList BB ";
            String orderStr = "";
            if (buildArea != null) {
                if (IsBlur.equals("1")) {
                    if (qxfzt == null || !qxfzt.equals("5") || buildArea == null || buildArea.equals("")) {
                        if (qxfzt != null && qxfzt.equals("1") && buildArea != null && !buildArea.equals("")) {
                            if (buildArea != null && !buildArea.equals("")) {
                                sql.append(" and AA.PREBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=0");
                            }
                        } else if (buildArea != null && !buildArea.equals("")) {
                            sql.append(" and (AA.PREBUILD_AREA like '%" + buildArea + "%' or AA.REALBUILD_AREA like '%" + buildArea + "%')");
                        }
                    } else if (buildArea != null && !buildArea.equals("")) {
                        sql.append(" and AA.REALBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=5");
                    }
                } else if (qxfzt == null || !qxfzt.equals("5") || buildArea == null || buildArea.equals("")) {
                    if (qxfzt != null && qxfzt.equals("1") && buildArea != null && !buildArea.equals("")) {
                        if (buildArea != null && !buildArea.equals("")) {
                            sql.append(" and AA.PREBUILD_AREA = '" + buildArea + "' and AA.QXFZT=0");
                        }
                    } else if (buildArea != null && !buildArea.equals("")) {
                        sql.append(" and (AA.PREBUILD_AREA = '" + buildArea + "' or AA.REALBUILD_AREA = '" + buildArea + "')");
                    }
                } else if (buildArea != null && !buildArea.equals("")) {
                    sql.append(" and AA.REALBUILD_AREA = '" + buildArea + "' and AA.QXFZT=5");
                }
            }
            if (listPara != null && listPara.size() > 0) {
                Iterator iter = listPara.entrySet().iterator();
                if (IsBlur.equals("1")) {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry = iter.next();
                        Object key = entry.getKey();
                        Object val = entry.getValue();
                        if (val != null && !val.equals("")) {
                            sql.append(" and " + key + " like '%" + val + "%'");
                        }
                    }
                } else {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry2 = iter.next();
                        Object key2 = entry2.getKey();
                        Object val2 = entry2.getValue();
                        if (val2 != null && !val2.equals("")) {
                            sql.append(" and " + key2 + " = '" + val2 + "'");
                        }
                    }
                }
            }
            if (GetProperties.getConstValueByKey("isDivision") != null && GetProperties.getConstValueByKey("isDivision").equals("true")) {
                Subject user = SecurityUtils.getSubject();
                User u = (User) user.getPrincipal();
                System.out.println("用户: " + u);
                System.out.println("权限: " + u.getCityAuthority());
                if (u != null && u.getId() != null && !u.getId().equals("") && (_listAuthority = this.commonDao.getDataListByFullSql("select USER_CITYAUTHORITY,USER_ENABLEDCITYAUTHORITY from SMWB_FRAMEWORK.T_USER where ID ='" + u.getId() + "'")) != null && _listAuthority.size() > 0) {
                    if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_CITYAUTHORITY") != null) {
                        String[] _dvCode = _listAuthority.get(0).get("USER_CITYAUTHORITY").toString().split(",");
                        String _joinCode = "";
                        for (String _item : _dvCode) {
                            _joinCode = String.valueOf(_joinCode) + ",'" + _item + "'";
                        }
                        if (_joinCode != null && _joinCode.length() > 0) {
                            sql.append(" and AA.DIVISION_CODE in (" + _joinCode.substring(1) + ")");
                        }
                    } else if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY") != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY").toString().equals("0") && (_codeList = this.commonDao.getDataListByFullSql("select FIELDENUM_VALUE from SMWB_SUPPORT.T_FIELDENUM  where FIELDEXPLAIN_ID in( select FIELDEXPLAIN_ID  from SMWB_SUPPORT.T_FIELDEXPLAIN where FIELDEXPLAIN_FIELD='DIVISION_CODE')")) != null && _codeList.size() > 0) {
                        StringBuilder _sbDv = new StringBuilder();
                        for (Map dv : _codeList) {
                            if (dv.get("FIELDENUM_VALUE") != null && !dv.get("FIELDENUM_VALUE").equals("")) {
                                _sbDv.append("," + dv.get("FIELDENUM_VALUE").toString());
                            }
                        }
                        if (_sbDv.toString() != null && !_sbDv.toString().equals("")) {
                            String _strDv = _sbDv.toString().substring(1);
                            sql.append(" and AA.DIVISION_CODE in (" + _strDv + ")");
                        }
                    }
                }
            }
            if (dataSource != null && !StringHelper.isEmpty(dataSource) && dataSource.equals("his")) {
                _sqlfrom = " from SMRIGHT_HIS.T_HOUSE AA,SMRIGHT_HIS.v_houseSYQList BB ";
            }
            if (orderType != null && StringHelper.isEmpty(orderType) && IsReverse != null && StringHelper.isEmpty(IsReverse)) {
                orderStr = IsReverse.equals("1") ? " order by " + orderType + " asc" : " order by " + orderType + " desc";
            }
            long count = this.baseCommonDao.getCountByFullSql(" " + _sqlfrom + " where  AA.HOUSE_ID=bb.HOUSE_ID(+) " + ((Object) sql) + orderStr);
            if (count > 0) {
                List<Map> _list = this.baseCommonDao.getPageDataByFullSql("select AA.BLZT,AA.DYZT,AA.CFZT,AA.DYYG,AA.CQYG,AA.YYZT,AA.ZXZT,AA.KFJ,AA.GSZT,AA.ZLZT,AA.CHAIQZT,AA.HOUSE_ID,AA.BUILDING_ID,AA.HOUSE_ADDRESS,AA.BUILDING_NUMBER, AA.BUILD_STRUCT,AA.USE_FACT,AA.REALBUILD_AREA,AA.PREBUILD_AREA,BB.QLRMC,BB.BDCQZH,AA.YXBZ " + _sqlfrom + " where  AA.HOUSE_ID=bb.HOUSE_ID(+) " + ((Object) sql) + orderStr, page, size);
                if (_list != null && _list.size() > 0) {
                    for (Map mm : _list) {
                        if (mm.get("BUILD_STRUCT") != null && !StringHelper.isEmpty(mm.get("BUILD_STRUCT").toString())) {
                            String struct = FieldEnumHelper.getNameByValue("BUILD_STRUCT", mm.get("BUILD_STRUCT").toString());
                            if (StringHelper.isEmpty(struct) || !StringUtils.hasLength(struct)) {
                                struct = StringHelper.FormatByDatatype(mm.get("BUILD_STRUCT"));
                            }
                            mm.put("BUILD_STRUCT_ENUM", struct);
                        }
                        if (mm.get("USE_FACT") != null && !StringHelper.isEmpty(mm.get("USE_FACT").toString())) {
                            String struct2 = FieldEnumHelper.getNameByValue("USE_FACT", mm.get("USE_FACT").toString());
                            if (StringHelper.isEmpty(struct2) || !StringUtils.hasLength(struct2)) {
                                struct2 = StringHelper.FormatByDatatype(mm.get("USE_FACT"));
                            }
                            mm.put("USE_FACT_ENUM", struct2);
                        }
                    }
                    ms.setRows(_list);
                    ms.setTotal(count);
                    ms.setSuccess("true");
                }
            } else {
                ms.setTotal(0L);
                ms.setRows((List) null);
            }
        } catch (Exception e) {
            ms.setSuccess("false");
        }
        return ms;
    }

    public Message getHouseSearchCFList(int page, int size, String cfsjSql, String IsBlur, Map<String, String> listPara, String qxfzt, String buildArea, String dataSource, String IsReverse, String orderType) {
        List<Map> _list;
        List<Map> _listAuthority;
        List<Map> _codeList;
        Message ms = new Message();
        ms.setSuccess("false");
        try {
            StringBuilder sql = new StringBuilder();
            String _sqlfrom = " from SMRIGHT_STO.T_HOUSE AA,SMRIGHT_STO.T_CFQL BB,SMRIGHT_STO.T_DJDY CC,SMRIGHT_STO.T_XMXX DD ";
            String orderStr = "";
            if (listPara != null && listPara.size() > 0) {
                Iterator iter = listPara.entrySet().iterator();
                if (IsBlur.equals("1")) {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry = iter.next();
                        Object key = entry.getKey();
                        Object val = entry.getValue();
                        if (val != null && !val.equals("")) {
                            sql.append(" and " + key + " like '%" + val + "%'");
                        }
                    }
                    if (qxfzt != null && qxfzt.equals("5") && buildArea != null && !buildArea.equals("")) {
                        sql.append(" and AA.REALBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=5");
                    } else if (qxfzt != null && qxfzt.equals("1") && buildArea != null && !buildArea.equals("")) {
                        sql.append(" and AA.PREBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=0");
                    } else {
                        sql.append(" and (AA.PREBUILD_AREA like '%" + buildArea + "%' or AA.REALBUILD_AREA like '%" + buildArea + "%')");
                    }
                } else {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry2 = iter.next();
                        Object key2 = entry2.getKey();
                        Object val2 = entry2.getValue();
                        if (val2 != null && !val2.equals("")) {
                            sql.append(" and " + key2 + " = '" + val2 + "'");
                        }
                    }
                    if (qxfzt != null && qxfzt.equals("5") && buildArea != null && !buildArea.equals("")) {
                        sql.append(" and AA.REALBUILD_AREA = '%" + buildArea + "%' and AA.QXFZT=5");
                    } else if (qxfzt != null && qxfzt.equals("1") && buildArea != null && !buildArea.equals("")) {
                        sql.append(" and AA.PREBUILD_AREA = '%" + buildArea + "%' and AA.QXFZT=0");
                    } else {
                        sql.append(" and (AA.PREBUILD_AREA = '%" + buildArea + "%' or AA.REALBUILD_AREA = '%" + buildArea + "%')");
                    }
                }
            }
            if (GetProperties.getConstValueByKey("isDivision") != null && GetProperties.getConstValueByKey("isDivision").equals("true")) {
                Subject user = SecurityUtils.getSubject();
                User u = (User) user.getPrincipal();
                System.out.println("用户: " + u);
                System.out.println("权限: " + u.getCityAuthority());
                if (u != null && u.getId() != null && !u.getId().equals("") && (_listAuthority = this.commonDao.getDataListByFullSql("select USER_CITYAUTHORITY,USER_ENABLEDCITYAUTHORITY from SMWB_FRAMEWORK.T_USER where ID ='" + u.getId() + "'")) != null && _listAuthority.size() > 0) {
                    if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_CITYAUTHORITY") != null) {
                        String[] _dvCode = _listAuthority.get(0).get("USER_CITYAUTHORITY").toString().split(",");
                        String _joinCode = "";
                        for (String _item : _dvCode) {
                            _joinCode = String.valueOf(_joinCode) + ",'" + _item + "'";
                        }
                        if (_joinCode != null && _joinCode.length() > 0) {
                            sql.append(" and AA.DIVISION_CODE in (" + _joinCode.substring(1) + ")");
                        }
                    } else if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY") != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY").toString().equals("0") && (_codeList = this.commonDao.getDataListByFullSql("select FIELDENUM_VALUE from SMWB_SUPPORT.T_FIELDENUM  where FIELDEXPLAIN_ID in( select FIELDEXPLAIN_ID  from SMWB_SUPPORT.T_FIELDEXPLAIN where FIELDEXPLAIN_FIELD='DIVISION_CODE')")) != null && _codeList.size() > 0) {
                        StringBuilder _sbDv = new StringBuilder();
                        for (Map dv : _codeList) {
                            if (dv.get("FIELDENUM_VALUE") != null && !dv.get("FIELDENUM_VALUE").equals("")) {
                                _sbDv.append("," + dv.get("FIELDENUM_VALUE").toString());
                            }
                        }
                        if (_sbDv.toString() != null && !_sbDv.toString().equals("")) {
                            String _strDv = _sbDv.toString().substring(1);
                            sql.append(" and AA.DIVISION_CODE in (" + _strDv + ")");
                        }
                    }
                }
            }
            if (dataSource != null && !StringHelper.isEmpty(dataSource) && dataSource.equals("his")) {
                _sqlfrom = " from SMRIGHT_HIS.T_HOUSE AA,SMRIGHT_HIS.T_CFQL BB,SMRIGHT_HIS.T_DJDY CC,SMRIGHT_STO.T_XMXX DD   ";
            }
            if (orderType != null && StringHelper.isEmpty(orderType) && IsReverse != null && StringHelper.isEmpty(IsReverse)) {
                orderStr = IsReverse.equals("1") ? " order by " + orderType + " asc" : " order by " + orderType + " desc";
            }
            List<Map> _ListCount = this.baseCommonDao.getDataListByFullSql(" select  count(distinct CFQLID) as count " + _sqlfrom + " where   AA.HOUSE_ID=CC.HOUSE_ID and CC.QLID=BB.CFQLID and (AA.YXBZ=1 or AA.YXBZ is null) and (BB.YXBZ=1 or BB.YXBZ is null) and CC.qllx =40 and CC.XMBH=DD.XMBH " + ((Object) sql) + cfsjSql + orderStr);
            if (_ListCount != null && _ListCount.size() > 0 && _ListCount.get(0).get("COUNT") != null && Integer.parseInt(_ListCount.get(0).get("COUNT").toString()) > 0 && (_list = this.baseCommonDao.getPageDataByFullSql("select distinct BB.CFQLID,BB.CFSJ,BB.CFWH,BB.CFJG,BB.CFWJ,BB.CFFW " + _sqlfrom + " where  AA.HOUSE_ID=CC.HOUSE_ID and CC.QLID=BB.CFQLID and (AA.YXBZ=1 or AA.YXBZ is null) and (BB.YXBZ=1 or BB.YXBZ is null) and CC.qllx =40 and CC.XMBH=DD.XMBH " + ((Object) sql) + cfsjSql + orderStr, page, size)) != null && _list.size() > 0) {
                for (Map mm : _list) {
                    if (mm.get("BUILD_STRUCT") != null && !StringHelper.isEmpty(mm.get("BUILD_STRUCT").toString())) {
                        String struct = FieldEnumHelper.getNameByValue("BUILD_STRUCT", mm.get("BUILD_STRUCT").toString());
                        if (StringHelper.isEmpty(struct) || !StringUtils.hasLength(struct)) {
                            struct = StringHelper.FormatByDatatype(mm.get("BUILD_STRUCT"));
                        }
                        mm.put("BUILD_STRUCT_ENUM", struct);
                    }
                    if (mm.get("USE_FACT") != null && !StringHelper.isEmpty(mm.get("USE_FACT").toString())) {
                        String struct2 = FieldEnumHelper.getNameByValue("USE_FACT", mm.get("USE_FACT").toString());
                        if (StringHelper.isEmpty(struct2) || !StringUtils.hasLength(struct2)) {
                            struct2 = StringHelper.FormatByDatatype(mm.get("USE_FACT"));
                        }
                        mm.put("USE_FACT_ENUM", struct2);
                    }
                    if (dataSource != null && !StringHelper.isEmpty(dataSource)) {
                        if (dataSource.equals("sto")) {
                            mm.put("ISVALID", "1");
                        } else {
                            long _IsValidCount = this.baseCommonDao.getCountByFullSql(" from SMRIGHT_STO.T_CFQL where CFQLID='" + mm.get("CFQLID").toString() + "'");
                            if (_IsValidCount > 0) {
                                mm.put("ISVALID", "1");
                            } else {
                                mm.put("ISVALID", "0");
                            }
                        }
                    }
                }
                ms.setRows(_list);
                ms.setTotal(Integer.parseInt(_ListCount.get(0).get("COUNT").toString()));
                ms.setSuccess("true");
            }
        } catch (Exception e) {
            ms.setSuccess("false");
        }
        return ms;
    }

    public Message getHouseSearchDYList(int page, int size, String IsBlur, Map<String, String> listPara, String qxfzt, String buildArea, String dataSource, String IsReverse, String orderType) {
        List<Map> _list;
        List<Map> _listAuthority;
        List<Map> _codeList;
        Message ms = new Message();
        ms.setSuccess("false");
        try {
            StringBuilder sql = new StringBuilder();
            String _sqlfrom = " from SMRIGHT_STO.T_HOUSE AA,SMRIGHT_STO.T_DYQL BB,SMRIGHT_STO.T_DJDY CC,SMRIGHT_STO.T_XMXX DD ";
            String orderStr = "";
            if (listPara != null && listPara.size() > 0) {
                Iterator iter = listPara.entrySet().iterator();
                if (IsBlur.equals("1")) {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry = iter.next();
                        Object key = entry.getKey();
                        Object val = entry.getValue();
                        if (val != null && !val.equals("")) {
                            sql.append(" and " + key + " like '%" + val + "%'");
                        }
                    }
                    if (qxfzt == null || !qxfzt.equals("5")) {
                        if (qxfzt != null && qxfzt.equals("1")) {
                            if (buildArea != null && buildArea.equals("")) {
                                sql.append(" and AA.PREBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=0");
                            }
                        } else if (buildArea != null && buildArea.equals("")) {
                            sql.append(" and (AA.PREBUILD_AREA like '%" + buildArea + "%' or AA.REALBUILD_AREA like '%" + buildArea + "%')");
                        }
                    } else if (buildArea != null && buildArea.equals("")) {
                        sql.append(" and AA.REALBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=5");
                    }
                } else {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry2 = iter.next();
                        Object key2 = entry2.getKey();
                        Object val2 = entry2.getValue();
                        if (val2 != null && !val2.equals("")) {
                            sql.append(" and " + key2 + " = '" + val2 + "'");
                        }
                    }
                    if (qxfzt == null || !qxfzt.equals("5")) {
                        if (qxfzt != null && qxfzt.equals("1")) {
                            if (buildArea != null && buildArea.equals("")) {
                                sql.append(" and AA.PREBUILD_AREA = '%" + buildArea + "%' and AA.QXFZT=0");
                            }
                        } else if (buildArea != null && buildArea.equals("")) {
                            sql.append(" and (AA.PREBUILD_AREA = '%" + buildArea + "%' or AA.REALBUILD_AREA = '%" + buildArea + "%')");
                        }
                    } else if (buildArea != null && buildArea.equals("")) {
                        sql.append(" and AA.REALBUILD_AREA = '%" + buildArea + "%' and AA.QXFZT=5");
                    }
                }
            }
            if (GetProperties.getConstValueByKey("isDivision") != null && GetProperties.getConstValueByKey("isDivision").equals("true")) {
                Subject user = SecurityUtils.getSubject();
                User u = (User) user.getPrincipal();
                System.out.println("用户: " + u);
                System.out.println("权限: " + u.getCityAuthority());
                if (u != null && u.getId() != null && !u.getId().equals("") && (_listAuthority = this.commonDao.getDataListByFullSql("select USER_CITYAUTHORITY,USER_ENABLEDCITYAUTHORITY from SMWB_FRAMEWORK.T_USER where ID ='" + u.getId() + "'")) != null && _listAuthority.size() > 0) {
                    if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_CITYAUTHORITY") != null) {
                        String[] _dvCode = _listAuthority.get(0).get("USER_CITYAUTHORITY").toString().split(",");
                        String _joinCode = "";
                        for (String _item : _dvCode) {
                            _joinCode = String.valueOf(_joinCode) + ",'" + _item + "'";
                        }
                        if (_joinCode != null && _joinCode.length() > 0) {
                            sql.append(" and AA.DIVISION_CODE in (" + _joinCode.substring(1) + ")");
                        }
                    } else if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY") != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY").toString().equals("0") && (_codeList = this.commonDao.getDataListByFullSql("select FIELDENUM_VALUE from SMWB_SUPPORT.T_FIELDENUM  where FIELDEXPLAIN_ID in( select FIELDEXPLAIN_ID  from SMWB_SUPPORT.T_FIELDEXPLAIN where FIELDEXPLAIN_FIELD='DIVISION_CODE')")) != null && _codeList.size() > 0) {
                        StringBuilder _sbDv = new StringBuilder();
                        for (Map dv : _codeList) {
                            if (dv.get("FIELDENUM_VALUE") != null && !dv.get("FIELDENUM_VALUE").equals("")) {
                                _sbDv.append("," + dv.get("FIELDENUM_VALUE").toString());
                            }
                        }
                        if (_sbDv.toString() != null && !_sbDv.toString().equals("")) {
                            String _strDv = _sbDv.toString().substring(1);
                            sql.append(" and AA.DIVISION_CODE in (" + _strDv + ")");
                        }
                    }
                }
            }
            if (dataSource != null && !StringHelper.isEmpty(dataSource) && dataSource.equals("his")) {
                _sqlfrom = " from SMRIGHT_HIS.T_HOUSE AA,SMRIGHT_HIS.T_DYQL BB,SMRIGHT_HIS.T_DJDY CC,SMRIGHT_STO.T_XMXX DD   ";
            }
            if (orderType != null && StringHelper.isEmpty(orderType) && IsReverse != null && StringHelper.isEmpty(IsReverse)) {
                orderStr = IsReverse.equals("1") ? " order by " + orderType + " asc" : " order by " + orderType + " desc";
            }
            List<Map> _ListCount = this.baseCommonDao.getDataListByFullSql(" select  count(distinct DYQLID) as count " + _sqlfrom + " where   AA.HOUSE_ID=CC.HOUSE_ID and CC.QLID=BB.DYQLID and (AA.YXBZ=1 or AA.YXBZ is null) and (BB.YXBZ=1 or BB.YXBZ is null) and CC.qllx in(21,22) and CC.XMBH=DD.XMBH " + ((Object) sql) + orderStr);
            if (_ListCount != null && _ListCount.size() > 0 && _ListCount.get(0).get("COUNT") != null && Integer.parseInt(_ListCount.get(0).get("COUNT").toString()) > 0 && (_list = this.baseCommonDao.getPageDataByFullSql("select distinct BB.DYQLID,BB.GZDBH,BB.QLLX as dylx,BB.DYFS,BB.DYR,BB.DYQRMC as DYQR,BB.QLQSSJ,BB.QLJSSJ " + _sqlfrom + " where  AA.HOUSE_ID=CC.HOUSE_ID and CC.QLID=BB.DYQLID and (AA.YXBZ=1 or AA.YXBZ is null) and (BB.YXBZ=1 or BB.YXBZ is null) and CC.qllx in(21,22) and CC.XMBH=DD.XMBH " + ((Object) sql) + orderStr, page, size)) != null && _list.size() > 0) {
                for (Map mm : _list) {
                    if (dataSource != null && !StringHelper.isEmpty(dataSource)) {
                        if (dataSource.equals("sto")) {
                            mm.put("ISVALID", "1");
                        } else {
                            long _IsValidCount = this.baseCommonDao.getCountByFullSql(" from SMRIGHT_STO.T_DYQL where DYQLID='" + mm.get("DYQLID").toString() + "'");
                            if (_IsValidCount > 0) {
                                mm.put("ISVALID", "1");
                            } else {
                                mm.put("ISVALID", "0");
                            }
                        }
                    }
                    if (mm.get("DYFS") != null && !StringHelper.isEmpty(mm.get("DYFS").toString())) {
                        String struct = FieldEnumHelper.getNameByValue("DYFS", mm.get("DYFS").toString());
                        if (StringHelper.isEmpty(struct) || !StringUtils.hasLength(struct)) {
                            struct = StringHelper.FormatByDatatype(mm.get("DYFS"));
                        }
                        mm.put("DYFS_ENUM", struct);
                    }
                    if (mm.get("DYLX") != null && !StringHelper.isEmpty(mm.get("DYLX").toString())) {
                        String _dylxmm = ConstValue.QLLX.initFrom(mm.get("DYLX").toString()).Name;
                        mm.put("DYLX_ENUM", _dylxmm);
                    }
                }
                ms.setRows(_list);
                ms.setTotal(Integer.parseInt(_ListCount.get(0).get("COUNT").toString()));
                ms.setSuccess("true");
            }
        } catch (Exception e) {
            ms.setSuccess("false");
        }
        return ms;
    }

    public Message getHouseSearchSYQList(int page, int size, String IsBlur, Map<String, String> listPara, String qxfzt, String buildArea, String dataSource, String IsReverse, String orderType) {
        List<Map> _list;
        List<Map> _listAuthority;
        List<Map> _codeList;
        Message ms = new Message();
        ms.setSuccess("false");
        try {
            StringBuilder sql = new StringBuilder();
            String _sqlfrom = " from SMRIGHT_STO.T_HOUSE AA,SMRIGHT_STO.T_SYQL BB,SMRIGHT_STO.T_DJDY CC,SMRIGHT_STO.T_XMXX DD ";
            String orderStr = "";
            if (listPara != null && listPara.size() > 0) {
                Iterator iter = listPara.entrySet().iterator();
                if (IsBlur.equals("1")) {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry = iter.next();
                        Object key = entry.getKey();
                        Object val = entry.getValue();
                        if (val != null && !val.equals("")) {
                            sql.append(" and " + key + " like '%" + val + "%'");
                        }
                    }
                    if (qxfzt == null || !qxfzt.equals("5")) {
                        if (qxfzt != null && qxfzt.equals("1")) {
                            if (buildArea != null && !buildArea.equals("")) {
                                sql.append(" and AA.PREBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=0");
                            }
                        } else if (buildArea != null && !buildArea.equals("")) {
                            sql.append(" and (AA.PREBUILD_AREA like '%" + buildArea + "%' or AA.REALBUILD_AREA like '%" + buildArea + "%')");
                        }
                    } else if (buildArea != null && !buildArea.equals("")) {
                        sql.append(" and AA.REALBUILD_AREA like '%" + buildArea + "%' and AA.QXFZT=5");
                    }
                } else {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry2 = iter.next();
                        Object key2 = entry2.getKey();
                        Object val2 = entry2.getValue();
                        if (val2 != null && !val2.equals("")) {
                            sql.append(" and " + key2 + " = '" + val2 + "'");
                        }
                    }
                    if (qxfzt == null || !qxfzt.equals("5")) {
                        if (qxfzt != null && qxfzt.equals("1")) {
                            if (buildArea != null && !buildArea.equals("")) {
                                sql.append(" and AA.PREBUILD_AREA = '%" + buildArea + "%' and AA.QXFZT=0");
                            }
                        } else if (buildArea != null && !buildArea.equals("")) {
                            sql.append(" and (AA.PREBUILD_AREA = '%" + buildArea + "%' or AA.REALBUILD_AREA = '%" + buildArea + "%')");
                        }
                    } else if (buildArea != null && !buildArea.equals("")) {
                        sql.append(" and AA.REALBUILD_AREA = '%" + buildArea + "%' and AA.QXFZT=5");
                    }
                }
            }
            if (GetProperties.getConstValueByKey("isDivision") != null && GetProperties.getConstValueByKey("isDivision").equals("true")) {
                Subject user = SecurityUtils.getSubject();
                User u = (User) user.getPrincipal();
                System.out.println("用户: " + u);
                System.out.println("权限: " + u.getCityAuthority());
                if (u != null && u.getId() != null && !u.getId().equals("") && (_listAuthority = this.commonDao.getDataListByFullSql("select USER_CITYAUTHORITY,USER_ENABLEDCITYAUTHORITY from SMWB_FRAMEWORK.T_USER where ID ='" + u.getId() + "'")) != null && _listAuthority.size() > 0) {
                    if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_CITYAUTHORITY") != null) {
                        String[] _dvCode = _listAuthority.get(0).get("USER_CITYAUTHORITY").toString().split(",");
                        String _joinCode = "";
                        for (String _item : _dvCode) {
                            _joinCode = String.valueOf(_joinCode) + ",'" + _item + "'";
                        }
                        if (_joinCode != null && _joinCode.length() > 0) {
                            sql.append(" and AA.DIVISION_CODE in (" + _joinCode.substring(1) + ")");
                        }
                    } else if (_listAuthority.get(0) != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY") != null && _listAuthority.get(0).get("USER_ENABLEDCITYAUTHORITY").toString().equals("0") && (_codeList = this.commonDao.getDataListByFullSql("select FIELDENUM_VALUE from SMWB_SUPPORT.T_FIELDENUM  where FIELDEXPLAIN_ID in( select FIELDEXPLAIN_ID  from SMWB_SUPPORT.T_FIELDEXPLAIN where FIELDEXPLAIN_FIELD='DIVISION_CODE')")) != null && _codeList.size() > 0) {
                        StringBuilder _sbDv = new StringBuilder();
                        for (Map dv : _codeList) {
                            if (dv.get("FIELDENUM_VALUE") != null && !dv.get("FIELDENUM_VALUE").equals("")) {
                                _sbDv.append("," + dv.get("FIELDENUM_VALUE").toString());
                            }
                        }
                        if (_sbDv.toString() != null && !_sbDv.toString().equals("")) {
                            String _strDv = _sbDv.toString().substring(1);
                            sql.append(" and AA.DIVISION_CODE in (" + _strDv + ")");
                        }
                    }
                }
            }
            if (dataSource != null && !StringHelper.isEmpty(dataSource) && dataSource.equals("his")) {
                _sqlfrom = " from SMRIGHT_HIS.T_HOUSE AA,SMRIGHT_HIS.T_SYQL BB,SMRIGHT_HIS.T_DJDY CC,SMRIGHT_STO.T_XMXX DD   ";
            }
            if (orderType != null && !StringHelper.isEmpty(orderType) && IsReverse != null && !StringHelper.isEmpty(IsReverse)) {
                orderStr = IsReverse.equals("1") ? " order by " + orderType + " asc" : " order by " + orderType + " desc";
            }
            List<Map> _ListCount = this.baseCommonDao.getDataListByFullSql(" select  count(distinct SYQLID) as count " + _sqlfrom + " where   AA.HOUSE_ID=CC.HOUSE_ID and CC.QLID=BB.SYQLID and (AA.YXBZ=1 or AA.YXBZ is null) and (BB.YXBZ=1 or BB.YXBZ is null) and CC.qllx in(10) and CC.XMBH=DD.XMBH " + ((Object) sql) + orderStr);
            if (_ListCount != null && _ListCount.size() > 0 && _ListCount.get(0).get("COUNT") != null && Integer.parseInt(_ListCount.get(0).get("COUNT").toString()) > 0 && (_list = this.baseCommonDao.getPageDataByFullSql("select distinct BB.SYQLID,BB.GZDBH,BB.QLLX,BB.BDCQZH,BB.QLRMC,BB.GYFS,BB.QLRZJH,BB.QLQSSJ,BB.QLJSSJ " + _sqlfrom + " where  AA.HOUSE_ID=CC.HOUSE_ID and CC.QLID=BB.SYQLID and (AA.YXBZ=1 or AA.YXBZ is null) and (BB.YXBZ=1 or BB.YXBZ is null) and CC.qllx in(10) and CC.XMBH=DD.XMBH " + ((Object) sql) + orderStr, page, size)) != null && _list.size() > 0) {
                for (Map mm : _list) {
                    if (dataSource != null && !StringHelper.isEmpty(dataSource)) {
                        if (dataSource.equals("sto")) {
                            mm.put("ISVALID", "1");
                        } else {
                            long _IsValidCount = this.baseCommonDao.getCountByFullSql(" from SMRIGHT_STO.T_SYQL where SYQLID='" + mm.get("SYQLID").toString() + "'");
                            if (_IsValidCount > 0) {
                                mm.put("ISVALID", "1");
                            } else {
                                mm.put("ISVALID", "0");
                            }
                        }
                    }
                    if (mm.get("GYFS") != null && !StringHelper.isEmpty(mm.get("GYFS").toString())) {
                        String struct = FieldEnumHelper.getNameByValue("GYFS", mm.get("GYFS").toString());
                        if (StringHelper.isEmpty(struct) || !StringUtils.hasLength(struct)) {
                            struct = StringHelper.FormatByDatatype(mm.get("GYFS"));
                        }
                        mm.put("GYFS_ENUM", struct);
                    }
                    if (mm.get("QLLX") != null && !StringHelper.isEmpty(mm.get("QLLX").toString())) {
                        String _dylxmm = ConstValue.QLLX.initFrom(mm.get("QLLX").toString()).Name;
                        mm.put("QLLX_ENUM", _dylxmm);
                    }
                }
                ms.setRows(_list);
                ms.setTotal(Integer.parseInt(_ListCount.get(0).get("COUNT").toString()));
                ms.setSuccess("true");
            }
        } catch (Exception e) {
            ms.setSuccess("false");
        }
        return ms;
    }

    public Message getBuildSearchManualList(int page, int size, String IsBlur, Map<String, String> hasamap, String dataSource) {
        Message ms = new Message();
        ms.setSuccess("false");
        try {
            StringBuilder sql = new StringBuilder();
            String _sqlfrom = " from SMRIGHT_STO.T_BUILDING";
            if (hasamap != null && hasamap.size() > 0) {
                Iterator iter = hasamap.entrySet().iterator();
                if (IsBlur.equals("1")) {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry = iter.next();
                        Object key = entry.getKey();
                        Object val = entry.getValue();
                        if (val != null && !val.equals("")) {
                            sql.append(" and " + key + " like '%" + val + "%'");
                        }
                    }
                } else {
                    while (iter.hasNext()) {
                        Map.Entry<String, String> entry2 = iter.next();
                        Object key2 = entry2.getKey();
                        Object val2 = entry2.getValue();
                        if (val2 != null && !val2.equals("")) {
                            sql.append(" and " + key2 + " = '" + val2 + "'");
                        }
                    }
                }
            }
            if (dataSource != null && !StringHelper.isEmpty(dataSource) && dataSource.equals("his")) {
                _sqlfrom = " from SMRIGHT_HIS.T_BUILDING ";
            }
            long count = this.baseCommonDao.getCountByFullSql(" " + _sqlfrom + " where  1=1 " + ((Object) sql) + "");
            if (count > 0) {
                List<Map> _list = this.baseCommonDao.getPageDataByFullSql("select BUILDING_ID,BUILDING_ADDRESS,BUILDING_NUMBER,DISTRICT_NAME,REALTYDEALER_NAME " + _sqlfrom + " where  1=1 " + ((Object) sql) + "", page, size);
                if (_list != null && _list.size() > 0) {
                    for (Map map : _list) {
                    }
                    ms.setRows(_list);
                    ms.setTotal(count);
                    ms.setSuccess("true");
                }
            } else {
                ms.setTotal(0L);
                ms.setRows((List) null);
            }
        } catch (Exception e) {
            ms.setSuccess("false");
        }
        return ms;
    }

    public Map getHouseList(Sheet xssfSheet) {
        Map map = new HashMap();
        List<Map> enumMapList = this.baseCommonDao.getDataListByFullSql("SELECT T.FIELDENUM_NAME,T.FIELDENUM_VALUE\r\n  FROM SMWB_SUPPORT.T_FIELDENUM T\r\n WHERE FIELDEXPLAIN_ID =\r\n       (SELECT FIELDEXPLAIN_ID\r\n          FROM SMWB_SUPPORT.T_FIELDEXPLAIN\r\n         WHERE FIELDEXPLAIN_FIELD = 'PRESELLREALTY_TYPE')\r\n order by FIELDENUM_INDEX, FIELDENUM_VALUE");
        Map enumMap = new HashMap();
        for (Map m1 : enumMapList) {
            enumMap.put(m1.get("FIELDENUM_NAME"), m1.get("FIELDENUM_VALUE"));
        }
        for (int rowNum = 3; rowNum <= xssfSheet.getLastRowNum(); rowNum++) {
            Row xssfRow = xssfSheet.getRow(rowNum);
            if (xssfRow != null) {
                xssfRow.getCell(0);
                Cell house_id = xssfRow.getCell(1);
                xssfRow.getCell(2);
                xssfRow.getCell(3);
                Cell PRESELLREALTY_TYPE = xssfRow.getCell(4);
                Cell LIMIT_PIRCE = xssfRow.getCell(5);
                new House_ApprovePrice();
                List<House_ApprovePrice> houses = this.baseCommonDao.getDataList(House_ApprovePrice.class, "house_id = '" + house_id + "'");
                House house = (House) this.baseCommonDao.get(House.class, house_id.toString());
                House_ApprovePrice obj = houses.get(0);
                if (obj != null && obj.getId() != null && !"30".equals(obj.getPresell_TypeStatus())) {
                    Double limit_price = LIMIT_PIRCE == null ? obj.getLimit_Pirce() : Double.valueOf(LIMIT_PIRCE.toString());
                    obj.setLimit_Pirce(limit_price);
                    obj.setPresell_TypeStatus("10");
                    house.setONEPRICE(limit_price.toString());
                    if (PRESELLREALTY_TYPE != null) {
                        String yslx = PRESELLREALTY_TYPE.toString();
                        if (enumMap.get(yslx) == null) {
                            map.put("msg", "编号为：" + house_id + " 预售类型不符合规定");
                        } else {
                            String yslxValue = (String) enumMap.get(yslx);
                            obj.setPresell_Realty_Type(Integer.valueOf(yslxValue));
                            house.setPreSellRealty_Type(Integer.valueOf(yslxValue));
                        }
                    }
                }
                this.baseCommonDao.saveOrUpdate(obj);
                this.baseCommonDao.save(house);
            }
        }
        this.baseCommonDao.flush();
        return map;
    }
}
